CREATE  TABLE IF NOT EXISTS `#__mailster_lists` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `asset_id` INT NOT NULL DEFAULT 0,
  `name` VARCHAR(45) NULL ,
  `admin_mail` VARCHAR(255) NULL ,
  `published` TINYINT(1) NULL ,
  `active` TINYINT(1) NULL ,
  `public_registration` TINYINT(1) NULL ,
  `sending_public` TINYINT(1) NULL DEFAULT 1,
  `sending_recipients` TINYINT(1) NULL DEFAULT 0,
  `sending_admin` TINYINT(1) NULL DEFAULT 0,
  `sending_group` TINYINT(1) NULL DEFAULT 0,
  `sending_group_id` INT NULL,
  `disable_mail_footer` TINYINT(1) NULL , 
  `allow_subscribe` TINYINT(1) NULL DEFAULT 1,
  `allow_unsubscribe` TINYINT(1) NULL DEFAULT 1,
  `reply_to_sender` TINYINT(1) NULL ,
  `copy_to_sender` TINYINT(1) NULL ,
  `list_mail` VARCHAR(255) NULL ,
  `subject_prefix` VARCHAR(45) NULL ,
  `use_cms_mailer` TINYINT(1) NULL ,
  `mail_in_user` VARCHAR(255) NULL ,
  `mail_in_pw` VARCHAR(45) NULL ,
  `mail_out_user` VARCHAR(255) NULL ,
  `mail_out_pw` VARCHAR(45) NULL ,
  `custom_header_plain` TEXT NULL ,
  `custom_footer_plain` TEXT NULL ,
  `custom_header_html` TEXT NULL ,
  `custom_footer_html` TEXT NULL ,
  `mail_format_conv` INT NULL DEFAULT 1,
  `mail_format_altbody` TINYINT(1) NULL DEFAULT 1,
  `alibi_to_mail` VARCHAR(255) NULL ,
  `addressing_mode` TINYINT(1) NULL DEFAULT 1,
  `mail_from_mode` TINYINT(1) NULL DEFAULT 0, 
  `name_from_mode` TINYINT(1) NULL DEFAULT 0,  
  `archive_mode` INT NULL DEFAULT 0,  
  `archive2article` TINYINT(1) NOT NULL DEFAULT 0,  
  `archive2article_author` INT NOT NULL DEFAULT 0,  
  `archive2article_cat` INT NOT NULL DEFAULT 0, 
  `archive2article_state` TINYINT(3) NOT NULL DEFAULT 1,
  `archive_offline` INT NOT NULL DEFAULT 0,
  `bounce_mode` INT NULL DEFAULT 0, 
  `bounce_mail` VARCHAR(255) NULL ,
  `bcc_count` INT NULL ,
  `incl_orig_headers` TINYINT(1) NOT NULL DEFAULT 0,  
  `max_send_attempts` INT NULL ,
  `filter_mails` TINYINT(1) NULL ,
  `allow_bulk_precedence` TINYINT(1) NOT NULL DEFAULT 0,
  `clean_up_subject` TINYINT(1) NULL ,  
  `lock_id` INT NULL ,
  `is_locked` TINYINT(1) DEFAULT 0 ,  
  `last_lock` TIMESTAMP NULL ,
  `last_check` TIMESTAMP NULL ,
  `last_mail_retrieved` TIMESTAMP NULL ,
  `last_mail_sent` TIMESTAMP NULL ,
  `cstate` INT NULL DEFAULT 0,
  `mail_size_limit` INT NULL DEFAULT 0,
  `notify_not_fwd_sender` TINYINT(1) NULL DEFAULT 1,
  `save_send_reports` INT NULL DEFAULT 0,
  `subscribe_mode` INT NOT NULL DEFAULT 1 ,
  `unsubscribe_mode` INT NOT NULL DEFAULT 1 ,
  `welcome_msg` INT NOT NULL DEFAULT 1 ,
  `welcome_msg_admin` INT NOT NULL DEFAULT 0 ,
  `goodbye_msg` INT NOT NULL DEFAULT 1 ,
  `goodbye_msg_admin` INT NOT NULL DEFAULT 0 ,
  `allow_digests` TINYINT(1) NOT NULL DEFAULT 0 ,
  `front_archive_access` TINYINT(1) NOT NULL DEFAULT 0 ,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_users` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(255) NULL ,
  `email` VARCHAR(255) NULL ,
  `notes` VARCHAR(255) NULL ,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_list_members` (
  `list_id` INT NOT NULL ,
  `user_id` INT NOT NULL ,
  `is_joomla_user` TINYINT(1) NULL ,
  `receive_mails` TINYINT(1) NULL ,
  `send_mails` TINYINT(1) NULL
) DEFAULT CHARACTER SET utf8;

CREATE TABLE IF NOT EXISTS `#__mailster_servers` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(255) NOT NULL,
  `published` TINYINT(1) NOT NULL DEFAULT 1,
  `provider_type` INT NOT NULL DEFAULT 0,
  `user_edited` TINYINT(1) NOT NULL DEFAULT 1,
  `server_type` INT NOT NULL,
  `server_host` VARCHAR(255) NULL,
  `server_port` INT NULL,
  `secure_protocol` VARCHAR(255) NULL,
  `secure_authentication` TINYINT(1) NULL,
  `protocol` VARCHAR(45) NULL,
  `connection_parameter` VARCHAR(255) NULL,
  `api_key1` VARCHAR(255) NULL,
  `api_key2` VARCHAR(255) NULL,
  `api_endpoint` VARCHAR(255) NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_list_stats` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `list_id` VARCHAR(45) NOT NULL,
  `stat_date` TIMESTAMP NOT NULL,
  `stat_hour` TINYINT(2) NOT NULL,
  `stat_minute` TINYINT(2) NOT NULL,
  `send_mails` INT NOT NULL DEFAULT 0,
  `send_recipients` INT NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_mails` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `list_id` INT NOT NULL ,
  `thread_id` INT NOT NULL ,
  `hashkey` VARCHAR(45) NULL ,
  `message_id` VARCHAR(255) NULL ,
  `in_reply_to` VARCHAR(255) NULL ,
  `references_to` VARCHAR(255) NULL ,
  `receive_timestamp` TIMESTAMP NULL ,
  `from_name` VARCHAR(255) NULL ,
  `from_email` VARCHAR(255) NULL ,
  `sender_user_id` INT NOT NULL DEFAULT 0,
  `sender_is_joomla_user` TINYINT(1) NOT NULL DEFAULT 0,
  `orig_to_recips` TEXT NULL ,
  `orig_cc_recips` TEXT NULL ,
  `subject` VARCHAR(255) NULL ,
  `body` MEDIUMTEXT NULL ,
  `html` MEDIUMTEXT NULL ,
  `has_attachments` TINYINT(1) NULL ,
  `fwd_errors` TINYINT(1) NULL ,
  `fwd_completed` TINYINT(1) NULL ,
  `fwd_completed_timestamp` TIMESTAMP NULL ,
  `blocked_mail` TINYINT(1) NULL ,
  `bounced_mail` TINYINT(1) NULL ,
  `no_content` TINYINT(1) NULL DEFAULT 0 ,  
  `has_send_report` TINYINT(1) NULL DEFAULT 0 ,
  `size_in_bytes` INT NULL DEFAULT -1,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;


CREATE  TABLE IF NOT EXISTS `#__mailster_oa_mails` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `list_id` INT NOT NULL ,
  `thread_id` INT NOT NULL ,
  `hashkey` VARCHAR(45) NULL ,
  `message_id` VARCHAR(255) NULL ,
  `in_reply_to` VARCHAR(255) NULL ,
  `references_to` VARCHAR(255) NULL ,
  `receive_timestamp` TIMESTAMP NULL ,
  `from_name` VARCHAR(255) NULL ,
  `from_email` VARCHAR(255) NULL ,
  `sender_user_id` INT NOT NULL DEFAULT 0,
  `sender_is_joomla_user` TINYINT(1) NOT NULL DEFAULT 0,
  `orig_to_recips` TEXT NULL ,
  `orig_cc_recips` TEXT NULL ,
  `subject` VARCHAR(255) NULL ,
  `body` MEDIUMTEXT NULL ,
  `html` MEDIUMTEXT NULL ,
  `has_attachments` TINYINT(1) NULL ,
  `fwd_errors` TINYINT(1) NULL ,
  `fwd_completed` TINYINT(1) NULL ,
  `fwd_completed_timestamp` TIMESTAMP NULL ,
  `blocked_mail` TINYINT(1) NULL ,
  `bounced_mail` TINYINT(1) NULL ,
  `no_content` TINYINT(1) NULL DEFAULT 0 ,
  `has_send_report` TINYINT(1) NULL DEFAULT 0 ,
  `size_in_bytes` INT NULL DEFAULT -1,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_groups` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(45) NULL ,
  `is_joomla_group`  TINYINT(1) NOT NULL DEFAULT 0 ,  
  `joomla_group_id`  INT NOT NULL DEFAULT 0 ,  
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_list_groups` (
  `list_id` INT NOT NULL ,
  `group_id` INT NOT NULL ,
  `receive_mails` TINYINT(1) NULL ,
  `send_mails` TINYINT(1) NULL
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_group_users` (
  `group_id` INT NOT NULL ,
  `user_id` INT NOT NULL ,
  `is_joomla_user` TINYINT(1) NULL
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_queued_mails` (
  `mail_id` INT NOT NULL ,
  `name` VARCHAR(255) NULL ,
  `email` VARCHAR(255) NOT NULL,
  `error_count` INT NULL,
  `lock_id` INT NULL DEFAULT 0,
  `is_locked` TINYINT(1) NULL DEFAULT 0,
  `last_lock` TIMESTAMP NULL
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_threads` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `first_mail_id` INT NOT NULL ,
  `last_mail_id` INT NOT NULL ,
  `ref_message_id` VARCHAR(45) NOT NULL ,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_attachments` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `mail_id` INT NOT NULL ,
  `filename` VARCHAR(255) NOT NULL,
  `filepath` VARCHAR(255) NOT NULL,
  `content_id` VARCHAR(255) NULL,
  `disposition` TINYINT(1) NOT NULL,
  `type` INT NOT NULL,
  `subtype` VARCHAR(45) NULL,
  `params` VARCHAR(255) NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_oa_attachments` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `mail_id` INT NOT NULL ,
  `filename` VARCHAR(255) NOT NULL,
  `filepath` VARCHAR(255) NOT NULL,
  `content_id` VARCHAR(255) NULL,
  `disposition` TINYINT(1) NOT NULL,
  `type` INT NOT NULL,
  `subtype` VARCHAR(45) NULL,
  `params` VARCHAR(255) NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_notifies` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `notify_type` INT NOT NULL ,
  `trigger_type` INT NOT NULL ,
  `target_type` INT NOT NULL ,
  `list_id` INT NULL ,
  `group_id` INT NULL ,
  `user_id` INT NULL ,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_send_reports` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `mail_id` INT NOT NULL ,
  `event_time` TIMESTAMP NOT NULL ,
  `event_type` INT NOT NULL DEFAULT 0 ,
  `recips` TEXT NULL ,
  `int_val1` INT NOT NULL ,
  `int_val2` INT NOT NULL ,
  `int_val3` INT NOT NULL ,
  `int_val4` INT NOT NULL ,	
  `msg` TEXT NULL ,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8;

CREATE  TABLE IF NOT EXISTS `#__mailster_log` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `level` INT NOT NULL DEFAULT 0 ,
  `type` INT NOT NULL DEFAULT 0 ,
  `log_time` TIMESTAMP NOT NULL ,
  `msg` TEXT NULL ,
  PRIMARY KEY (`id`) 
 ) DEFAULT CHARACTER SET utf8;
 
CREATE  TABLE IF NOT EXISTS `#__mailster_subscriptions` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `list_id` INT NOT NULL ,
  `user_id` INT NULL ,
  `add2group` INT NOT NULL DEFAULT 0 ,
  `name` VARCHAR(255) NULL ,
  `email` VARCHAR(255) NULL ,
  `sub_type` INT NOT NULL ,
  `sub_date` TIMESTAMP NOT NULL ,
  `hashkey` VARCHAR(45) NOT NULL ,
  `digest_freq` TINYINT(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`) 
 ) DEFAULT CHARACTER SET utf8; 

CREATE  TABLE IF NOT EXISTS `#__mailster_digests` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `list_id` INT NOT NULL ,
  `user_id` INT NOT NULL ,
  `is_joomla_user` TINYINT(1) NOT NULL ,
  `digest_freq` TINYINT(1) NOT NULL ,
  `last_send_date` TIMESTAMP NULL ,
  `next_send_date` TIMESTAMP NULL ,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8; 

CREATE  TABLE IF NOT EXISTS `#__mailster_digest_queue` (
  `digest_id` INT NOT NULL ,
  `mail_id` INT NOT NULL ,
  `thread_id` INT NOT NULL ,
  `digest_time` TIMESTAMP NOT NULL 
) DEFAULT CHARACTER SET utf8; 