<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

defined('_JEXEC') or die('Restricted access');

class MstJContentUtils
{
	public static function getArticleCategories($extension = 'com_content'){
		$db = JFactory::getDBO();
        $query = 'SELECT a.id, a.title, a.alias, a.note, a.published, a.access, a.checked_out, a.checked_out_time, a.created_user_id, a.path, a.parent_id, a.level, a.lft, a.rgt, a.language,l.title AS language_title,uc.name AS editor,ag.title AS access_level,ua.name AS author_name'
                . ' FROM #__categories AS a'
                . ' LEFT JOIN #__languages AS l ON l.lang_code = a.language'
                . ' LEFT JOIN #__users AS uc ON uc.id=a.checked_out'
                . ' LEFT JOIN #__viewlevels AS ag ON ag.id = a.access'
                . ' LEFT JOIN #__users AS ua ON ua.id = a.created_user_id'
				. ' WHERE a.extension = \''.$extension.'\' AND (a.published IN (0, 1)) ORDER BY a.lft asc';
		$db->setQuery($query);
		return $db->loadObjectList();
	}
	
	public static function getArticleCategory($catId, $extension = 'com_content'){
		$db = JFactory::getDBO();
        $query = 'SELECT a.*'
                . ' FROM #__categories AS a'
                . ' WHERE a.extension = \''.$extension.'\' AND a.id=\''.$catId.'\'';
		$db->setQuery($query);
		return $db->loadObject();
	}
	
	public static function storeArticle($articleInput){
		$log = MstFactory::getLogger();
		
		if (version_compare(JVERSION, '3.0', 'lt')) { // before Joomla 3.0 ...
				JTable::addIncludePath(JPATH_PLATFORM . 'joomla/database/table'); // JTableContent is not autoloaded prior to Joomla! version 3.0, so it needs to included.
		}

		$dateUtils = MstFactory::getDateUtils();
		if (version_compare(JVERSION, '3.0', 'lt')) { // before Joomla 3.0 ...
			$article = JTable::getInstance('content'); // Joomla 2.5.x
		}else{		
			$article = JTable::getInstance('Content', 'JTable', array()); // Joomla 3.0+
		}
		
		$article->id = property_exists($articleInput, 'id') ? $articleInput->id : 0;
		$article->asset_id = property_exists($articleInput, 'asset_id') ? $articleInput->asset_id : 0;
		$article->title = property_exists($articleInput, 'title') ? $articleInput->title : 'MST_NO_SUBJECT';
		$article->alias = property_exists($articleInput, 'alias') ? $articleInput->alias : JFilterOutput::stringURLSafe($article->title);
		$article->introtext = property_exists($articleInput, 'introtext') ? $articleInput->introtext : '';
		$article->fulltext = property_exists($articleInput, 'fulltext') ? $articleInput->fulltext : '';
		$article->state = property_exists($articleInput, 'state') ? $articleInput->state : 1;
		if(version_compare(JVERSION,'3.0','lt')) {
			$article->title_alias = property_exists($articleInput, 'title_alias') ? $articleInput->title_alias : '';
			$article->sectionid = property_exists($articleInput, 'sectionid') ? $articleInput->sectionid : 0;
			$article->mask = property_exists($articleInput, 'mask') ? $articleInput->mask : 0;
			$article->parentid = property_exists($articleInput, 'parentid') ? $articleInput->parentid : 0;
		}
		$article->catid = property_exists($articleInput, 'catid') ? $articleInput->catid : 0;
		$article->created = property_exists($articleInput, 'created') ? $articleInput->created : $dateUtils->getCurrTimeDbFormat();
		$article->created_by = property_exists($articleInput, 'created_by') ? $articleInput->created_by : 0;
		$article->created_by_alias = property_exists($articleInput, 'created_by_alias') ? $articleInput->created_by_alias : '';
		$article->modified = property_exists($articleInput, 'modified') ? $articleInput->modified : $article->created;
		$article->modified_by = property_exists($articleInput, 'modified_by') ? $articleInput->modified_by : $article->created_by;
		$article->checked_out = property_exists($articleInput, 'checked_out') ? $articleInput->checked_out : 0;
		$article->checked_out_time = property_exists($articleInput, 'checked_out_time') ? $articleInput->checked_out_time : '0000-00-00 00:00:00';
		$article->publish_up = property_exists($articleInput, 'publish_up') ? $articleInput->publish_up : ($article->state > 0 ? $article->created : '0000-00-00 00:00:00');
		$article->publish_down = property_exists($articleInput, 'publish_down') ? $articleInput->publish_down : ($article->state <= 0 ? $article->publish_down : '0000-00-00 00:00:00');
		$article->images = property_exists($articleInput, 'images') ? $articleInput->images : '';
		$article->urls = property_exists($articleInput, 'urls') ? $articleInput->urls : '';
		$article->attribs = property_exists($articleInput, 'attribs') ? $articleInput->attribs : '';
		$article->version = property_exists($articleInput, 'version') ? $articleInput->version : 1;
		$article->ordering = property_exists($articleInput, 'ordering') ? $articleInput->ordering : 0;
		$article->metakey = property_exists($articleInput, 'metakey') ? $articleInput->metakey : '';
		$article->metadesc = property_exists($articleInput, 'metadesc') ? $articleInput->metadesc : '';
		$article->access = property_exists($articleInput, 'access') ? $articleInput->access : 1;
		$article->hits = property_exists($articleInput, 'hits') ? $articleInput->hits : 0;
		$article->metadata = property_exists($articleInput, 'metadata') ? $articleInput->metadata : '{"page_title":"","author":"","robots":""}';
        $article->featured = property_exists($articleInput, 'featured') ? $articleInput->featured : 0;
        $article->language = property_exists($articleInput, 'language') ? $articleInput->language : '*';
        $article->xreference = property_exists($articleInput, 'xreference') ? $articleInput->xreference : '';
		
		//$log->debug('MstJContentUtils::storeArticle - article: '.print_r($article, true));
				
		if (!$article->check()) { // Check to make sure our data is valid
			$log->error('MstJContentUtils::storeArticle - check - '.$article->getError());
			return FALSE;
		}
				
		if (!$article->store(TRUE)) { // Now store the article
			$log->error('MstJContentUtils::storeArticle - store - '.$article->getError());
			return FALSE;
		}

		$log->debug('MstJContentUtils::storeArticle - saved article, got ID '.$article->id);
		return $article->id;
		
	}
	
}
