<?php	
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */
	
	defined( '_JEXEC' ) or die( 'Restricted access' );
	$document = JFactory::getDocument();
	
	$jsUtils = '../administrator/components/com_mailster/assets/js/utils.js';
	
	$secureConnection = false;
	if (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off'
			|| $_SERVER['SERVER_PORT'] == 443) {
		$secureConnection = true;
	}

	$jsFrameworkRemotePathInclude = 'http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js';
	if($secureConnection){  // when SSL we have to make sure remote content comes from a secured server as well (no mixed content...)
		$jsFrameworkRemotePathInclude = 'https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js';
	}
	
	$jsFrameworkLocalPathInclude =  '../administrator/components/com_mailster/assets/js/jquery-1.11.1.min.js';
	
	$mstConfig = MstFactory::getConfig();
	if(!$mstConfig->isJSFrameworkDisabled()){	
		if(version_compare(JVERSION,'3.0.0','ge')) {
			JHtml::_('jquery.framework'); // no need to include jQuery otherwise
		}else{
			if($mstConfig->loadLocalJSFramework()){
				$document->addScript( $jsFrameworkLocalPathInclude );
			}else{
				$document->addScript( $jsFrameworkRemotePathInclude );
			}
		}
	}	
	$document->addScript( $jsUtils );
?>
