<?php

	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
	
	function subMenu($identifier)
	{
		$canDo = MstFactory::getAuthorization()->getActions();
		$identifier = strtolower($identifier);
		$mainMenue 		= false;
		$mailingLists 	= false;
        $servers     	= false;
		$users		 	= false;
		$digests	 	= false;
		$groups		 	= false;
		$mailArchive 	= false;
		$config		 	= false;
		$info			= false;

        $serverExisting = count(MstFactory::getModel('servers')->getData()) > 0;
		
		//Create Submenu
		if($identifier == "" || $identifier == "mailster")
		{
			$mainMenue = true;
		}
		if($identifier == "mailinglists")
		{
			$mailingLists = true;
		}
        if($identifier == "servers")
        {
            $servers = true;
        }
		if($identifier == "users")
		{
			$users = true;
		}
		if($identifier == "digests")
		{
			$digests = true;
		}
		if($identifier == "groups")
		{
			$groups = true;
		}
		if($identifier == "groupusers")
		{
			$groups = true;
		}
		if($identifier == "listmembers")
		{
			$mailingLists = true;
		}
		if($identifier == "mails")
		{
			$mailArchive = true;
		}
		if($identifier == "config")
		{
			$config = true;
		}
		if($identifier == "info")
		{
			$info = true;
		}
		if($identifier == "csv")
		{
			
		}
		if($identifier == "diagnosis")
		{
			$info = true;
		}
		if($identifier == "resend")
		{
			
		}
		if($identifier == "mailqueue")
		{
			
		}
		if($identifier == "log")
		{
			$info = true;	
		}
		JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_START_CENTER' ), 'index.php?option=com_mailster', $mainMenue);
		JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_MAILING_LISTS' ), 'index.php?option=com_mailster&view=lists', $mailingLists);
        if($serverExisting || $servers){
            JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_SERVERS' ), 'index.php?option=com_mailster&view=servers', $servers);
        }
		JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_USERS' ), 'index.php?option=com_mailster&view=users', $users);
		if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DIGEST)){
			JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_DIGESTS' ), 'index.php?option=com_mailster&view=digests', $digests);
		}
		
		JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_USER_GROUPS' ), 'index.php?option=com_mailster&view=groups', $groups);		
		JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_MAIL_ARCHIVE' ), 'index.php?option=com_mailster&view=mails&task=mails', $mailArchive);

         if (MstFactory::getAuthorization()->isAllowed('core.admin')){
            $authorised = true;	// authorised to edit component config
         }else{
            $authorised = false; // not authorised to edit component config
         }
		
		if($authorised){
			if(version_compare(JVERSION,'3.0.0','ge')) {
				JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_MAILSTER_CONFIGURATION' ), 'index.php?option=com_config&view=component&component=com_mailster', $config);
			}else{
				JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_MAILSTER_CONFIGURATION' ), 'index.php?option=com_mailster&view=config', $config);
			}
		}
		
		JSubMenuHelper::addEntry( JText::_( 'COM_MAILSTER_MAILSTER_INFO' ), 'index.php?option=com_mailster&view=info', $info);
	}

?>
