<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined('_JEXEC') or die('Restricted access');

	jimport('joomla.application.component.model');

	/**
	 * Group Model
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterModelGroup extends MailsterModel
	{
		var $_id = null;
		var $_data = null;
		
		function __construct()
		{
			parent::__construct();

			$array = JRequest::getVar('cid',  0, '', 'array');
			$this->setId((int)$array[0]);
		}

		function setId($id)
		{
			$this->_id	    = $id;
			$this->_data	= null;
		}

		function &getData()
		{
			if ($this->_loadData())
			{

			}
			else  $this->_initData();

			return $this->_data;
		}

		
		/**
		 * Get group by group name
		 */
		function &getGroupByName($name){
			// reset object
			$this->setId(0);
			$this->_initData();
			
			$query = 'SELECT id'
					. ' FROM #__mailster_groups'
					. ' WHERE name = \''.$name.'\'';
			
			// TODO BE ABLE TO SEARCH FOR JOOMLA GROUP AS WELL!!!
			
			$this->_db->setQuery($query);			
			$groupId = $this->_db->loadResult();
			
			if($groupId && $groupId > 0){				
				$this->setId($groupId); // group found
			}		
							
			return $this->getData(); // auto-load object
		}

		function _loadData()
		{
			if (empty($this->_data))
			{
                $query = '	SELECT g.id, g.name, is_joomla_group, joomla_group_id, Count(gu.group_id) as memberCount
                                FROM #__mailster_groups AS g
                                LEFT JOIN #__mailster_group_users AS gu
                                ON (gu.group_id = g.id)  WHERE g.is_joomla_group=\'0\' AND g.id = \''.$this->_id.'\' GROUP BY g.id
                             UNION
                                SELECT g.id, jug.title AS name, is_joomla_group, joomla_group_id, Count(uum.group_id) as memberCount
                                FROM #__mailster_groups AS g
                                LEFT JOIN #__user_usergroup_map AS uum
                                ON (g.joomla_group_id = uum.group_id)
                                LEFT JOIN #__usergroups AS jug
                                ON (g.joomla_group_id = jug.id) WHERE g.is_joomla_group=\'1\' AND g.id = \''.$this->_id.'\'GROUP BY g.id';
				
				$this->_db->setQuery($query);
                try{
				    $this->_data = $this->_db->loadObject();
                } catch (DatabaseException $e) {
                    $log = MstFactory::getLogger();
                    $log->error('models/group Error No: ' . $e->getCode() . ', Message: ' . $e->getMessage().', Query: '.$query);
                }
				return (boolean) $this->_data;
			}
			return true;
		}
		
		function _initData()
		{
			if (empty($this->_data))
			{
				$group = new stdClass();
				$group->id	= 0;
				$group->name = null;
				$group->is_joomla_group	= 0;
				$group->joomla_group_id	= 0;
				
				$this->_data		= $group;
				return (boolean) $this->_data;
			}
			return true;
		}
			
		public function getTable($type = 'mailster_groups', $prefix = '', $config = array()){
			return JTable::getInstance($type, $prefix, $config);
		}
		
		function store($data)
		{		
			$user		= & JFactory::getUser();
			$config 	= & JFactory::getConfig();
			
			$row  =& $this->getTable();
			
			if (!$row->bind($data)) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			$row->id = (int) $row->id;			

			if (!$row->check()) {
				$this->setError($row->getError());
				return false;
			}

			if (!$row->store()) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			return $row->id;
		}
		
		
	}
?>
