<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined('_JEXEC') or die('Restricted access');

	jimport('joomla.application.component.model');

	/**
	 * Mailing List Model
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterModelList extends MailsterAdminModel
	{
		var $_id = null;
		var $_data = null;

		function __construct(){
			parent::__construct();
			$array = JRequest::getVar('cid',  0, '', 'array');
			$this->setId((int)$array[0]);
		}

		function setId($id)
		{
			$this->_id	    = $id;
			$this->_data	= null;
		}

		function &getData($id=null)
		{
			if(!is_null($id)){
				$this->setId($id);
			}
			if ($this->_loadData())
			{

			}
			else  $this->_initData();

			return $this->_data;
		}

		function _loadData()
		{
			if (empty($this->_data))
			{
				$query = 'SELECT *'
						. ' FROM #__mailster_lists'
						. ' WHERE id = '.$this->_id
						;

				$this->_db->setQuery($query);

				$this->_data = $this->_db->loadObject();

				return (boolean) $this->_data;
			}
			return true;
		}

		function _initData()
		{
			if (empty($this->_data))
			{
				$list = new stdClass();
				$list->id						= 0;
				$list->asset_id					= 0;
				$list->name						= null;
				$list->admin_mail				= null;
				$list->list_mail				= null;
				$list->subject_prefix			= null;
				$list->mail_in_user				= null;
				$list->mail_in_pw				= null;
				$list->mail_out_user			= null;
				$list->mail_out_pw				= null;
				$list->custom_header_plain		= MstConsts::TEXT_VARIABLES_NAME . ' <' . MstConsts::TEXT_VARIABLES_EMAIL . '> (' . MstConsts::TEXT_VARIABLES_DATE . '):';
				$list->custom_header_html		= MstConsts::TEXT_VARIABLES_NAME . ' <' . MstConsts::TEXT_VARIABLES_EMAIL . '> (' . MstConsts::TEXT_VARIABLES_DATE . '):';
				$list->custom_footer_plain		= null;
				$list->custom_footer_html		= null;
				$list->mail_format_conv			= null;
				$list->alibi_to_mail			= null;
								
				$list->published				= 1;
				$list->active					= 1;
				$list->use_cms_mailer   		= 1;
				$list->public_registration		= 1;
				$list->sending_public			= 1;
				$list->sending_recipients		= 0;
				$list->sending_admin			= 0;
				$list->sending_group			= 0;
				$list->sending_group_id			= 0;
				$list->allow_subscribe			= 1;	
				$list->allow_unsubscribe		= 1;
				$list->reply_to_sender			= 0;	
				$list->copy_to_sender			= 1;			
				$list->disable_mail_footer		= 0;		
				$list->addressing_mode			= 1;
                $list->server_inb_id            = 0;
                $list->server_out_id            = 0;
				$list->mail_from_mode			= 0;
				$list->name_from_mode			= 0;
				$list->archive_mode				= 0;
				$list->archive2article			= 0;
				$list->archive2article_author	= 0;
				$list->archive2article_cat		= 0;
				$list->archive2article_state	= 1;
                $list->archive_offline      	= 0;
				$list->bounce_mode				= 0;				
				$list->bounce_mail				= null;
				$list->bcc_count				= 10;	
				$list->incl_orig_headers		= 0;
				$list->max_send_attempts		= 5;
				$list->filter_mails				= 0;
                $list->allow_bulk_precedence	= 0;
				$list->clean_up_subject			= 1;
				$list->mail_format_altbody		= 1;
				
				$list->lock_id					= 0;
				$list->is_locked				= 0;
				$list->last_lock				= null;
				$list->last_check				= null;
				$list->last_mail_retrieved		= null;
				$list->last_mail_sent			= null;

				$list->cstate					= 0;
				$list->mail_size_limit			= 0;
				$list->notify_not_fwd_sender	= 1;
				$list->save_send_reports		= 7;
				$list->subscribe_mode			= 1;
				$list->unsubscribe_mode			= 1;
				$list->welcome_msg				= 1;
				$list->welcome_msg_admin		= 0;
				$list->goodbye_msg				= 1;
				$list->goodbye_msg_admin		= 0;
				$list->allow_digests			= 0;
				$list->front_archive_access		= 0;
				
				$this->_data					= $list;
				return (boolean) $this->_data;
			}
			return true;
		}
		
		public function getTable($type = 'mailster_lists', $prefix = '', $config = array()){
			return JTable::getInstance($type, $prefix, $config);
		}
		
		/**
		 * Method to get the record form.
		 *
		 * @param	array	$data		Data for the form.
		 * @param	boolean	$loadData	True if the form is to load its own data (default case), false if not.
		 * @return	mixed	A JForm object on success, false on failure
		 * @since	1.6
		 */
		public function getForm($data = array(), $loadData = true)
		{
            $form = $this->loadForm('com_mailster.list', 'list', array('control' => 'jform', 'load_data' => $loadData)); // Get the form.
            if (empty($form)){
                return false;
            }
			return $form;
		}
		
		/**
		 * Method to get the data that should be injected in the form.
		 *
		 * @return	mixed	The data for the form.
		 * @since	1.6
		 */
		protected function loadFormData()
		{
			// Check the session for previously entered form data.
			$data = JFactory::getApplication()->getUserState('com_mailster.edit.list.data', array());			
			if (empty($data)){
				$data = $this->getItem($this->_id);
			}
			return $data;
			
		}
				
						
		function store($data){
            $log = MstFactory::getLogger();
			$user	= JFactory::getUser();
			$config = JFactory::getConfig();
            $log->debug('list->store() data: '.print_r($data, true));

            if(!is_array($data)){
                $data = MstFactory::getConverterUtils()->object2Array($data);
            }
			
			$row = $this->getTable();
			
			if (!$row->bind($data)) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			$row->id = (int) $row->id;	// sanitise id field		

			if (!$row->check()) {
				$this->setError($row->getError());
				return false;
			}

            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_D_FOOTER)){
                $row->disable_mail_footer = 0;
            }
            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_FILTER)){
                $row->filter_mails = 0;
            }
            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_THROTTLE)){
            }
            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DBL_OPT)){
                if($row->subscribe_mode == MstConsts::SUBSCRIBE_MODE_DOUBLE_OPT_IN){
                    $row->subscribe_mode = MstConsts::SUBSCRIBE_MODE_DEFAULT;
                }
                if($row->unsubscribe_mode == MstConsts::UNSUBSCRIBE_MODE_DOUBLE_OPT_IN){
                    $row->unsubscribe_mode = MstConsts::UNSUBSCRIBE_MODE_DEFAULT;
                }
            }
            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DIGEST)){
                $row->allow_digests = 0;
            }
            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_D_ARCHIVE)){
                $row->archive_mode = MstConsts::ARCHIVE_MODE_ALL;
            }
            if(!MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_EARCHIVE)){
                $row->archive2article = 0;
                $row->archive_offline = 0;
            }

			if (!$row->store()) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			$digestModel = MstFactory::getModel('digest');
			if($row->archive2article){
				$digestModel->storeDigest2ArticleDigest($row->id);
			}else{
				$digestModel->removeDigest2ArticleDigestIfExisting($row->id);
			}

			return $row->id;
		}		
	}
?>
