<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined('_JEXEC') or die('Restricted access');

	jimport('joomla.application.component.model');

	/**
	 * Server Model
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterModelServer extends MailsterModel
	{
		var $_id = null;
		var $_data = null;

		function __construct(){
			parent::__construct();
			$array = JRequest::getVar('cid',  0, '', 'array');
			$this->setId((int)$array[0]);
		}

        function getServer($id){
            $this->setId($id);
            return $this->getData();
        }

		function setId($id)
		{
			$this->_id	    = $id;
			$this->_data	= null;
		}
		
		function &getData()
		{
			if ($this->_loadData())
			{

			}
			else  $this->_initData();

			return $this->_data;
		}
		
		function _loadData()
		{
			if (empty($this->_data))
			{

                $query = ' SELECT a.*,'
                    .' (SELECT COUNT(*) FROM #__mailster_lists l WHERE l.server_inb_id = a.id) AS used_in_list_inb_count,'
                    .' (SELECT COUNT(*) FROM #__mailster_lists l WHERE l.server_out_id = a.id) AS used_in_list_out_count'
                    .' FROM #__mailster_servers a'
                    .' WHERE a.id = '.$this->_id;
				$this->_db->setQuery($query);
				$this->_data = $this->_db->loadObject();
				return (boolean) $this->_data;
			}
			return true;
		}

		/**
		 * Method to initialise the server data
		 */
		function _initData()
		{
			if (empty($this->_data))
			{
				$server = new stdClass();
                $server->id						    = 0;
                $server->published     				= null;
                $server->provider_type 				= null;
                $server->user_edited   				= null;
                $server->name       				= null;
                $server->server_type				= null;
                $server->server_host				= null;
                $server->server_port				= null;
                $server->secure_protocol			= null;
                $server->secure_authentication	    = null;
                $server->protocol					= null;
                $server->connection_parameter		= null;
                $server->api_key1					= null;
                $server->api_key2					= null;
                $server->api_endpoint				= null;
				
				$this->_data = $server;
				return (boolean) $this->_data;
			}
			return true;
		}
			
		public function getTable($type = 'mailster_servers', $prefix = '', $config = array()){
			return JTable::getInstance($type, $prefix, $config);
		}

		function store($data, $autoSetUserEdited=true)
		{
            $log = MstFactory::getLogger();
			$user = JFactory::getUser();
			$config	= JFactory::getConfig();

            $log->debug('MailsterModelServer->store() data: '.print_r($data, true));
			$row  = $this->getTable();

            $data =  (array) $data;
            if($autoSetUserEdited){
                $data['user_edited'] = 1; // we consider this settings edited by the user
            }
            if((!$data['id'] || $data['id'] <= 0) && (array_key_exists('provider_type', $data) == false)){
                $data['provider_type'] = MstConsts::SERVER_PROVIDER_TYPE_USER_SPECIFIC; // new server settings are user created
            }
			
			if (!$row->bind($data)) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			$row->id = (int) $row->id;
			
			if (!$row->check()) {
				$this->setError($row->getError());
				return false;
			}

			if (!$row->store()) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			return $row->id;
		}
		
		
	}
?>
