<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined('_JEXEC') or die('Restricted access');

	jimport('joomla.application.component.model');

	/**
	 * User Model
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterModelUser extends MailsterModel
	{
		var $_id = null;
		var $_data = null;

		function __construct(){
			parent::__construct();
			$array = JRequest::getVar('cid',  0, '', 'array');
			$this->setId((int)$array[0]);
		}

		function setId($id)
		{
			$this->_id	    = $id;
			$this->_data	= null;
		}
		
		function &getData()
		{
			if ($this->_loadData())
			{

			}
			else  $this->_initData();

			return $this->_data;
		}
		
		function _loadData()
		{
			if (empty($this->_data))
			{
				$query = 'SELECT *'
						. ' FROM #__mailster_users'
						. ' WHERE id = '.$this->_id;

				$this->_db->setQuery($query);

				$this->_data = $this->_db->loadObject();

				return (boolean) $this->_data;
			}
			return true;
		}
		
		public function getUserData($userId, $isJoomlaUser){
            $log = MstFactory::getLogger();
			$row = null;
			if($isJoomlaUser == 0){
				$this->setId($userId);
				$row = $this->getData();
                if(is_object($row) && !property_exists($row, 'description')){
                    $row->description = $row->notes;
                }
			}else{
				$row = $this->getJUserData($userId);
                if(is_object($row) && !property_exists($row, 'description')){
                    $row->description = '';
                    $subscrUtils = MstFactory::getSubscribeUtils();
                    $mstUserInfo = $subscrUtils->getUserByEmail($row->email, true, 0); // try to find non-Joomla user entry (= in Mailster's user data) to get description/notes info
                    if($mstUserInfo && $mstUserInfo->user_found){
                        $log->debug('getUserData for user_id '.$userId.', is_joomla_user '.$isJoomlaUser.' - although J! User, can complete info with Mailster user data as well: '.print_r($mstUserInfo, true));
                        $row->description = $mstUserInfo->description;
                    }
                }
			}
            $log->debug('getUserData for user_id '.$userId.', is_joomla_user '.$isJoomlaUser.': '.print_r($row, true));
			return $row;
		}
		
		public function getJUserData($userId){
			$query = 'SELECT *'
					. ' FROM #__users'
					. ' WHERE id = \''.$userId . '\'';

			$this->_db->setQuery($query);
			$jUser = $this->_db->loadObject();
			return $jUser;
		}
				
		function getGroupMemberInfo($userId, $isJoomlaUser, $filterOutJoomlaGroups = true)
		{
			$query = 	'SELECT *, 1 AS is_group_member '
						. ' FROM #__mailster_groups'
						. ' WHERE id IN ('
								. ' SELECT group_id'
								. ' FROM #__mailster_group_users'
								. ' WHERE user_id=\''.$userId . '\' AND is_joomla_user=\''.$isJoomlaUser . '\''
								. ')'
						. ($filterOutJoomlaGroups ?' AND is_joomla_group = \'0\'' : '') // FILTER OUT JOOMLA GROUPS
						. ' UNION '
						. 'SELECT *, 0 AS is_group_member '
						. ' FROM #__mailster_groups'
						. ' WHERE id NOT IN ('
								. ' SELECT group_id'
								. ' FROM #__mailster_group_users'
								. ' WHERE user_id=\''.$userId . '\' AND is_joomla_user=\''.$isJoomlaUser . '\''
								. ')'
						. ($filterOutJoomlaGroups ?' AND is_joomla_group = \'0\'' : '') // FILTER OUT JOOMLA GROUPS
						. ' ORDER BY name';
			$this->_db->setQuery($query);
            try{
                $groups = $this->_db->loadObjectList();
            } catch (DatabaseException $e) {
                $log = MstFactory::getLogger();
                $log->error('models/user Error No: ' . $e->getCode() . ', Message: ' . $e->getMessage().', Query: '.$query);
            }
			return $groups;
		}
				
		function getListMemberInfo($userId, $isJoomlaUser)
		{
			$query = 	'SELECT *, 1 AS is_list_member '
						. ' FROM #__mailster_lists'
						. ' WHERE id IN ('
								. ' SELECT list_id'
								. ' FROM #__mailster_list_members'
								. ' WHERE user_id=\''.$userId . '\' AND is_joomla_user=\''.$isJoomlaUser . '\''
								. ')'
						. ' UNION '
						. 'SELECT *, 0 AS is_list_member '
						. ' FROM #__mailster_lists'
						. ' WHERE id NOT IN ('
								. ' SELECT list_id'
								. ' FROM #__mailster_list_members'
								. ' WHERE user_id=\''.$userId . '\' AND is_joomla_user=\''.$isJoomlaUser . '\''
								. ')'
						. ' ORDER BY name';
            try{
                $this->_db->setQuery($query);
            } catch (DatabaseException $e) {
                $log = MstFactory::getLogger();
                $log->error('models/user Error No: ' . $e->getCode() . ', Message: ' . $e->getMessage().', Query: '.$query);
            }
			$groups = $this->_db->loadObjectList();
			return $groups;
		}
		
		function getGroupsOfUser($userId, $isJoomlaUser){
			$groupModel = MstFactory::getModel('group');
			$query = 'SELECT * FROM #__mailster_groups WHERE id IN ('
					. ' SELECT group_id FROM #__mailster_group_users'
					. ' WHERE user_id=\'' . $userId . '\''
					. ' AND is_joomla_user=\'' . $isJoomlaUser . '\''
					. ')';
			if($isJoomlaUser){ // Joomla 2.5 and 3.0+
				$query .= ' UNION'
						. ' SELECT * FROM #__mailster_groups WHERE joomla_group_id IN('
							. ' SELECT group_id FROM #__user_usergroup_map WHERE user_id=\'' . $userId . '\''
							. ')';
			}
			$this->_db->setQuery($query);
            try{
                $rawGroups = $this->_db->loadObjectList();
            } catch (DatabaseException $e) {
                $log = MstFactory::getLogger();
                $log->error('models/user Error No: ' . $e->getCode() . ', Message: ' . $e->getMessage().', Query: '.$query);
            }
			$groups = array();
			foreach($rawGroups AS $rawGroup){				
				$groupModel->setId($rawGroup->id);
				$groups[] = $groupModel->getData();				
			}
			return $groups;
		}
		
		function isUserInGroup($userId, $isJoomlaUser, $groupId){
			$log = MstFactory::getLogger();
			$groups = $this->getGroupsOfUser($userId, $isJoomlaUser);
			$log->debug('isUserInGroup - user ID: '.$userId.', isJoomlaUser: '.$isJoomlaUser.', result: '.print_r($groups, true));
			foreach($groups AS $group){
				if($group->id == $groupId){
					return true;
				}
			}
			return false;
		}
		
		/**
		 * Get all groups/lists where user is member of
		 */
		function getMemberInfo($userId, $isJoomlaUser)
		{
			$memberInfo = array();
		
			$groups = $this->getGroupsOfUser($userId, $isJoomlaUser);
			
			$query = 'SELECT * FROM #__mailster_lists WHERE id IN ('
						. ' SELECT list_id FROM #__mailster_list_members'
						. ' WHERE user_id=\'' . $userId . '\''
						. ' AND is_joomla_user=\'' . $isJoomlaUser . '\''
						. ')';

			$this->_db->setQuery($query);
			$lists = $this->_db->loadObjectList();
			
			$query = 'SELECT * FROM #__mailster_lists WHERE id IN ('
						. ' SELECT list_id FROM #__mailster_list_groups WHERE group_id IN ('
							. ' SELECT group_id FROM #__mailster_group_users'
							. ' WHERE user_id=\'' . $userId . '\''
							. ' AND is_joomla_user=\'' . $isJoomlaUser . '\''
							. ')'
						. ')';
			if($isJoomlaUser){ // Joomla 2.5 and 3.0+
				$query .= ' UNION'
						. ' SELECT * FROM #__mailster_lists WHERE id IN ('
							. ' SELECT list_id FROM #__mailster_list_groups WHERE group_id IN ('
								. ' SELECT id FROM #__mailster_groups WHERE joomla_group_id IN('
									. ' SELECT group_id FROM #__user_usergroup_map WHERE user_id=\'' . $userId . '\''
								. ' )'
							. ' )'
						. ' )';
			}

			$this->_db->setQuery($query);
            try{
                $listGroups = $this->_db->loadObjectList();
            } catch (DatabaseException $e) {
                $log = MstFactory::getLogger();
                $log->error('models/user Error No: ' . $e->getCode() . ', Message: ' . $e->getMessage().', Query: '.$query);
            }
			$memberInfo['groups'] = $groups;
			$memberInfo['lists'] = $lists;
			$memberInfo['listGroups'] = $listGroups;
			return $memberInfo;
		}
		
		/**
		 * Check for duplicate users
		 */
		function isDuplicateEntry($email, $checkJoomlaUsersToo=true)
		{
			$email = trim($email);
			if($checkJoomlaUsersToo){					
				
				$query = 'SELECT *'
						. ' FROM #__users'
						. ' WHERE email = \''.$email.'\'';
	
				$this->_db->setQuery($query);	
				$user = $this->_db->loadObject();
	
				if($user){
					$user->is_joomla_user = 1;
					return $user;
				}
			}
			
			$query = 'SELECT *'
					. ' FROM #__mailster_users'
					. ' WHERE email = \''.$email.'\'';

			$this->_db->setQuery($query);
			$user = $this->_db->loadObject();

			if($user){
				$user->is_joomla_user = 0;
				return $user;
			}
			
			return null;
		}

		/**
		 * Method to initialise the user data
		 */
		function _initData()
		{
			if (empty($this->_data))
			{
				$user = new stdClass();
				$user->id						= 0;
				$user->name						= null;
				$user->email					= null;
				$user->notes					= null;
				
				$this->_data					= $user;
				return (boolean) $this->_data;
			}
			return true;
		}
			
		public function getTable($type = 'mailster_users', $prefix = '', $config = array()){
			return JTable::getInstance($type, $prefix, $config);
		}

		function store($data)
		{		
			$user		= & JFactory::getUser();
			$config 	= & JFactory::getConfig();
			
			$row  =& $this->getTable();
			
			if (!$row->bind($data)) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			$row->id = (int) $row->id;
			
			if (!$row->check()) {
				$this->setError($row->getError());
				return false;
			}

			if (!$row->store()) {
				JError::raiseError(500, $this->_db->getErrorMsg() );
				return false;
			}

			return $row->id;
		}
		
		
	}
?>
