<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined('_JEXEC') or die('Restricted access');

	/**
	 * Groups Model class
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class mailster_groups extends JTable
	{
		var $id 					= null;
		var $name					= null;	
		var $is_joomla_group		= null;	
		var $joomla_group_id		= null;	
					
		function mailster_groups(&$db) {
			parent::__construct('#__mailster_groups', 'id', $db);
		}
		
		function check(){
			$this->name = strip_tags(trim($this->name));

			if ( $this->is_joomla_group <= 0 && $this->name == '' ) {
				$this->_error = JText::_( 'COM_MAILSTER_ADD_NAME' );
				JError::raiseWarning('NO GROUP NAME SPECIFIED', $this->_error );
				return false;
			}
			if ( $this->is_joomla_group > 0 && $this->joomla_group_id <= 0 ) {
				$this->_error = JText::_( 'COM_MAILSTER_ADD_JOOMLA_GROUP_ID' );
				JError::raiseWarning('NO JOOMLA GROUP ID SPECIFIED', $this->_error );
				return false;
			}
			
			return true;
		}
	}
?>
