<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );
	$mstUtils = MstFactory::getUtils();
	$mstUtils->loadJavascript();
	$exportSource = JRequest::getString('export_source', 'list');
	$sourcelist = JRequest::getString('sourcelist', 0);
	$sourcegroup = JRequest::getString('sourcegroup', 0);
		
	?>
	<script type="text/javascript">
		var $j = jQuery.noConflict(); 
		var exportSource;
		$j(document).ready(
		function () {		
				exportSource = '<?php echo $exportSource; ?>';
				if(exportSource == ''){
					exportSource = 'list';
				}
				if(exportSource == 'group'){
					$j('#group').attr('checked', 'checked');
				}else if(exportSource == 'list'){
					$j('#list').attr('checked', 'checked');
				}
				$j('input[name=exportsource]').change(function(){
					exportSource = $j('input[name=exportsource]:checked').val();
					toggleExportSource();	
				});
				toggleExportSource();			
		});
		
		function toggleExportSource(){
			if(exportSource == 'list'){
				$j('#sourcegroup').attr('disabled',  'disabled');
				$j('#sourcelist').removeAttr('disabled');
			}
			if(exportSource == 'group'){
				$j('#sourcelist').attr('disabled',  'disabled');
				$j('#sourcegroup').removeAttr('disabled');
			}		
		}
				
		function submitbutton(task)
		{
			var form = document.adminForm;			
			if (task == 'cancel') // check we aren't cancelling
			{	// no need to validate, we are cancelling		
				submitform( task );
				return;
			}else{
				submitform( task );
			}
		}
	</script>
	<form enctype="multipart/form-data" action="index.php" method="post" name="adminForm" id="adminForm">	
		<table class="adminform" style="width:800px;">	
			<?php
				
			?>		
			<tr><th colspan="2"><?php echo JText::_( 'COM_MAILSTER_EXPORT_OPTIONS' ); ?></th><th></th><th>&nbsp;</th></tr>		
			<tr>
				<td width="100px" style="text-align:right;" colspan="2">
					<label for="delimiter" title="<?php echo JText::_( 'COM_MAILSTER_CHARACTER_LETTER_SEPARATING_NAME_AND_EMAIL_COLUMN' );?>">
						<?php echo JText::_( 'COM_MAILSTER_DELIMITER' ).':'; ?>
					</label>
				</td>
				<td width="200px">
					<input class="inputbox" name="delimiter" value=";" size="3" maxlength="5" id="delimiter" title="<?php echo JText::_( 'COM_MAILSTER_CHARACTER_LETTER_SEPARATING_NAME_AND_EMAIL_COLUMN' );?>"/>
				</td>
				<td>&nbsp;</td>
			</tr>				
			<tr>
				<td width="100px" style="text-align:right;" colspan="2">
					<label for="dataorder" title="<?php echo JText::_( 'COM_MAILSTER_ORDER_OF_THE_COLUMNS_IN_CSV_FILE' );?>">
						<?php echo JText::_( 'COM_MAILSTER_DATA_ORDER_IN_CSV_FILE' ).':'; ?>
					</label>
				</td>
				<td width="200px">
					<input type="radio" name="dataorder" value="name_del_email" id="name_del_email" checked="checked" />
					<?php echo JText::_( 'COM_MAILSTER_NAME_DELIMITER_EMAIL' ); ?>
				</td>
				<td>&nbsp;</td>
			</tr>			
			<tr>
				<td width="100px" colspan="2">&nbsp;</td>
				<td width="200px">
					<input type="radio" name="dataorder" value="email_del_name" id="email_del_name" />
					<?php echo JText::_( 'COM_MAILSTER_EMAIL_DELIMITER_NAME' ); ?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr><th colspan="2"><?php echo JText::_( 'COM_MAILSTER_EXPORT_SOURCE' ); ?></th><th></th><th>&nbsp;</th></tr>	
			<tr>
				<td width="100px" style="text-align:right;" colspan="2">
					<label for="exportsource">
						<?php echo JText::_( 'COM_MAILSTER_EXPORT_USERS_OF' ).':'; ?>
					</label>
				</td>
				<td width="200px">&nbsp;</td>
				<td>&nbsp;</td>
			</tr>	
			<tr>
				<td width="100px" colspan="2">&nbsp;</td>
				<td width="200px">
					<input type="radio" name="exportsource" value="list" id="list"  <?php echo $exportSource == 'list' ? 'selected="selected"' : ''; ?>/>
					<?php echo JText::_( 'COM_MAILSTER_MAILING_LIST' ); ?>
				</td>
				<td width="200px" rowspan="3"><?php echo JText::_( 'COM_MAILSTER_CHOOSE_MAILING_LIST' ); ?><br/>
				<select id="sourcelist" name="sourcelist" size="5" style="width:180px" disabled="disabled">					
				<?php
					for($i=0, $n=count( $this->mailLists ); $i < $n; $i++) {
						$mailingList = &$this->mailLists[$i];
						$selected = ($mailingList->id == $sourcelist ? 'selected="selected"' : '');
						?>
						<option value="<?php echo $mailingList->id; ?>" <?php echo $selected; ?>><?php echo $mailingList->name; ?></option>
						<?php
					}							
				?>
				</select>
				</td>
				<td>&nbsp;</td>
			</tr>	
			<tr><td width="100px" colspan="2">&nbsp;</td></tr>
			<tr><td width="100px" colspan="2">&nbsp;</td></tr>
			<tr><td width="100px" colspan="2">&nbsp;</td></tr>			
			<tr>
				<td width="100px" colspan="2">&nbsp;</td>
				<td width="200px">
					<input type="radio" name="exportsource" value="group" id="group" <?php echo $exportSource == 'group' ? 'selected="selected"' : ''; ?> />
					<?php echo JText::_( 'COM_MAILSTER_GROUP' ); ?>
				</td>
				<td width="200px" rowspan="3"><?php echo JText::_( 'COM_MAILSTER_CHOOSE_GROUP' ); ?><br/>
				<select id="sourcegroup" name="sourcegroup" size="5" style="width:180px" disabled="disabled">
				<?php
					for($i=0, $n=count( $this->groups ); $i < $n; $i++) {
						$group = &$this->groups[$i];
						$selected = ($group->id == $sourcegroup ? 'selected="selected"' : '');
						?>
						<option value="<?php echo $group->id; ?>" <?php echo $selected; ?>><?php echo $group->name; ?></option>
						<?php
					}							
				?>
				</select>
				</td>
				<td>&nbsp;</td>
			</tr>			
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td colspan="3">&nbsp;</td>
				<td width="100px" style="text-align:right;">
					<input type="submit" name="submitbutton" value="<?php echo JText::_( 'COM_MAILSTER_EXPORT_NOW' ); ?>" id="submitbutton" class="submitButton" />
				</td>
				<td>&nbsp;</td>
			</tr>
		</table>
		<?php echo JHTML::_( 'form.token' ); ?>
		<input type="hidden" name="option" value="com_mailster" />
		<input type="hidden" name="controller" value="csv" />
		<input type="hidden" name="view" value="csv" />
		<input type="hidden" name="task" value="startexport" />
	</form>
	<?php
	//keep session alive while editing
	JHTML::_('behavior.keepalive');
	?>
