<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );
	
	
	$log		= MstFactory::getLogger();
	$mstUtils 	= MstFactory::getUtils();
	$mstConfig	= MstFactory::getConfig();
	$env 		= MstFactory::getEnvironment();
	$dbUtils 	= MstFactory::getDBUtils();
	$fileUtils 	= MstFactory::getFileUtils();
	$db = JFactory::getDBO();	
	$version = new JVersion();
	$appName = MstFactory::getV()->getProductName();
	?>
	<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table class="adminform">	
		<tr><th><?php echo JText::_( 'COM_MAILSTER_SYSTEM_PROPERTIES' ); ?></th><th></th><th>&nbsp;</th></tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo $appName; ?>:</td>
			<td width="450px"><?php echo MstFactory::getV()->getProductVersion(true); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_DATE' ); ?>:</td>
			<td width="450px"><?php echo MstFactory::getV()->getProductDate(); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_OS' ); ?>:</td>
			<td width="450px"><?php echo php_uname(); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_PHP_VERSION' ); ?>:</td>
			<td width="450px"><?php echo phpversion(); ?> </td>
			<td>&nbsp;</td>
		</tr>
		<tr>			
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_MAX_EXECUTION_TIME' ); ?>:</td>
			<td width="450px"><?php echo ini_get('max_execution_time'); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>			
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_MEMORY_LIMIT' ); ?>:</td>
			<td width="450px"><?php echo ini_get('memory_limit'); ?> (<?php echo $fileUtils->getFileSizeStringForSizeInBytes(memory_get_peak_usage(true)); ?>)</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo 'parse_ini_file'; ?>:</td>
			<td width="450px"><?php echo function_exists('parse_ini_file') ? 'OK' : 'ERROR - parse_ini_file DISABLED!'; ?> </td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo 'PHP Disabled Functions'; ?>:</td>
			<td width="450px"><?php
			$disabled_functions = ini_get('disable_functions');
			if ($disabled_functions!='')
			{
				$arr = explode(',', $disabled_functions);
				sort($arr);
				echo implode(', ', $arr);
			}else{
				echo 'None';
			}
			 ?> </td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_DATABASE_VERSION' ); ?>:</td>
			<td width="450px"><?php echo $db->getVersion(); ?> </td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_DATABASE_COLLATION' ); ?>:</td>
			<td width="450px"><?php echo $db->getCollation(); ?>
					<?php  					
						if($dbUtils->userTableCollationOk()){
							echo ' - Collation  OK';
						}else{
							echo '<a href="index.php?option=com_mailster&controller=maintenance&task=fixDBCollation"> - ERROR! Collation NOT OK, click to fix</a>' . '<br/><br/>';
							echo JText::_( 'COM_MAILSTER_NAME' ) . ' (core):' . $dbUtils->getCollation('#__users', 'name') . '<br/>'; 
							echo JText::_( 'COM_MAILSTER_NAME' ) . ':' . $dbUtils->getCollation('#__mailster_users', 'name') . '<br/>';  
							echo JText::_( 'COM_MAILSTER_EMAIL' ) . ' (core):' . $dbUtils->getCollation('#__users', 'email') . '<br/>';  
							echo JText::_( 'COM_MAILSTER_EMAIL' ) . ':' . $dbUtils->getCollation('#__mailster_users', 'email') . '<br/>';
                            echo JText::_( 'COM_MAILSTER_GROUPS' ) . JText::_( 'COM_MAILSTER_NAME' ) . ' (core):' . $dbUtils->getCollation('#__usergroups', 'title') . '<br/>';
                            echo JText::_( 'COM_MAILSTER_GROUPS' ) . JText::_( 'COM_MAILSTER_NAME' ) . ' :' . $dbUtils->getCollation('#__mailster_groups', 'name') . '<br/>';
                        }
					?>
					<br/>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"></td>
			<td width="450px">
					<?php 						
						function mstCheck_imap_mime_header_decode(){
							$convUtils = MstFactory::getConverterUtils();
							$sub = 'Umlaut =?ISO-8859-15?Q?=FCberall_Test?=';
							$exp = $convUtils->imapUtf8('Umlaut überall Test');
							$subConv = $convUtils->getStringAsNativeUtf8($sub);
							if(($subConv) !== ($exp)){
								echo 'imap_mime_header_decode (ERROR)<br/>';
								echo 'Expected: ' . htmlentities($exp) . '<br/>';
								echo 'Actual (imap_mime_header_decode): ' . htmlentities($subConv) . '<br/><br/>';
								echo '<pre>'.print_r(imap_mime_header_decode($sub), true).'</pre><br/>';
								echo 'imapUtf8 ('.($convUtils->imapUtf8($sub) === ($exp) ? 'OK' : 'ERROR').')<br/>';
								echo 'Actual (imapUtf8): ' . htmlentities($convUtils->imapUtf8($sub)). '<br/>';
							}else{
								echo 'imap_mime_header_decode (Test OK)';
							}
						}
						mstCheck_imap_mime_header_decode();
					?>
					<br/>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_JOOMLA_VERSION' ); ?>:</td>
			<td width="450px"><?php echo $version->getLongVersion(); ?> </td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_URL' ); ?>:</td>
			<td width="450px"><?php echo $env->getSiteBaseUrl(); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_IMAP' ); ?>:</td>
			<td width="450px"><?php echo $env->imapExtensionInstalled() ? JText::_( 'COM_MAILSTER_LOADED' ) : JText::_( 'COM_MAILSTER_JNO' ); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;">&nbsp;</td>
			<td width="450px"><?php echo JText::_( 'COM_MAILSTER_MAILBOX_OPEN_TIMEOUT' ) . ': ' . $mstConfig->getMailboxOpenTimeout() . ' (' . JText::_( 'COM_MAILSTER_GLOBAL_SETTING' ) . ': ' .imap_timeout(IMAP_OPENTIMEOUT) . ')'; ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;">&nbsp;</td>
			<td width="450px"><pre><?php echo $env->getImapVersion(); ?></pre></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_OPEN_SSL' ); ?>:</td>
			<td width="450px"><?php echo $env->openSSLExtensionInstalled() ? JText::_( 'COM_MAILSTER_LOADED' ) : JText::_( 'COM_MAILSTER_JNO' ); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;">&nbsp;</td>
			<td width="450px"><pre><?php echo $env->getOpenSSLVersion(); ?></pre></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_ATTACHMENT_FOLDER' ); ?>:</td>
			<td width="450px"><?php echo $mstConfig->getAttachmentBaseDir(); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;vertical-align:top;"><?php echo JText::_( 'COM_MAILSTER_STATISTICS' ); ?>:</td>
			<td width="450px">
				<table cellspacing="10">
					<tr>
						<th colspan="5"><?php echo JText::_( 'COM_MAILSTER_GENERAL_STATS' ) . ': '; ?></th>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LAST_MAIL_SENT' ) . ': '; ?></td>
						<td><?php echo $mstConfig->getLastMailSentAt(); ?></td>
						<td colspan="3">&nbsp;</td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LAST_HOUR_MAIL_SENT_IN' ) . ' ('.JText::_('COM_MAILSTER_DAY').'): '; ?></td>
						<td><?php echo $mstConfig->getLastHourMailSentIn() . ' ('.$mstConfig->getLastDayMailSentIn().')'; ?></td>
						<td colspan="3">&nbsp;</td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_NUMBER_OF_MAILS_SENT_IN_LAST_HOUR' ) . ' ('.JText::_('COM_MAILSTER_DAY').'): '; ?></td>
						<td><?php echo $mstConfig->getNrOfMailsSentInLastHour(). ' ('.$mstConfig->getNrOfMailsSentInLastDay().')'; ?></td>
						<td colspan="3">&nbsp;</td>
					</tr>
					<tr>
						<td colspan="5">&nbsp;</td>
					</tr>
					<tr>
						<th colspan="5"><?php echo JText::_( 'COM_MAILSTER_MAILING_LISTS' ) . ': '; ?></th>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_NAME' ); ?></td>
						<td><?php echo JText::_( 'COM_MAILSTER_LAST_CHECK' ); ?></td>
						<td><?php echo JText::_( 'COM_MAILSTER_LAST_MAIL_RETRIEVED' ); ?></td>
						<td><?php echo JText::_( 'COM_MAILSTER_LAST_MAIL_SENT' ); ?></td>
						<td><?php echo JText::_( 'COM_MAILSTER_JID' ); ?></td>
					</tr>
					<?php 
						for($i=0, $n=count($this->mLists); $i < $n; $i++){
							$mList = $this->mLists[$i];					
					?>
						<tr>
							<td><?php echo $mList->name; ?></td>
							<td><?php echo $mList->last_check; ?></td>
							<td><?php echo $mList->last_mail_retrieved; ?></td>
							<td><?php echo $mList->last_mail_sent; ?></td>
							<td><?php echo $mList->id; ?></td>
						</tr>
					<?php 
						}
					?>
				</table>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;vertical-align:top;"><?php echo JText::_( 'COM_MAILSTER_LOGGING' ); ?>:</td>
			<td width="450px">
				<table>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LOGGING_ENABLED' ) . ': '; ?></td>
						<td><?php echo ($log->isLoggingActive() ? JText::_( 'COM_MAILSTER_JYES' ) : JText::_( 'COM_MAILSTER_JNO' )); ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LOGGING_POSSIBLE' ) . ': '; ?></td>
						<td><?php echo ($log->loggingPossible() ? JText::_( 'COM_MAILSTER_JYES' ) : JText::_( 'COM_MAILSTER_JNO' )); ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_FORCE_LOGGING' ) . ': '; ?></td>
						<td><?php echo ($log->isLoggingForced() ? JText::_( 'COM_MAILSTER_JYES' ) : JText::_( 'COM_MAILSTER_JNO' )); ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LOGGING_LEVEL' ) . ': '; ?></td>
						<td><?php echo $log->getCurrentLoggingLevelString(); ?></td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LOG_DESTINATION' ) . ': '; ?></td>
						<td><?php echo ( ($log->isLog2Database() && $log->isLog2File() )? JText::_( 'COM_MAILSTER_DATABASE_AND_FILE' ) : ($log->isLog2Database() ? JText::_( 'COM_MAILSTER_DATABASE' ) : ($log->isLog2File() ? JText::_( 'COM_MAILSTER_JFILE' ) : JText::_( 'COM_MAILSTER_ERROR' )))); ?></td>
					</tr>
					<tr>
						<td style="vertical-align:top;"><?php echo JText::_( 'COM_MAILSTER_LOGGING_FILE_SIZE' ) . ': '; ?></td>
						<td><?php echo $fileUtils->getFileSizeOfFile($log->getLogFile()) . ' ('.$log->getLogFile().')'; ?><br/>
							<a href="index.php?option=com_mailster&controller=config&task=downloadLogFile"><?php echo  JText::_( 'COM_MAILSTER_DOWNLOAD' );?></a><br/>
							<a href="index.php?option=com_mailster&controller=maintenance&task=deleteLogFile"><?php echo  JText::_( 'COM_MAILSTER_DELETE_LOG_FILE' );?></a>
						</td>
					</tr>
					<tr>
						<td><?php echo JText::_( 'COM_MAILSTER_LOGGING_DATABASE_ENTRIES' ) . ': '; ?></td>
						<td><?php echo $log->getLogDatabaseEntriesCount(); ?></td>
					</tr>
				</table>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px" style="text-align:right;"><?php echo JText::_( 'COM_MAILSTER_CONNECTION_CHECK' ); ?>:</td>
			<td width="450px">
				<pre><?php 
		        		require_once('inbox_test.php');
		        	 ?>
				</pre>
			</td>
			<td>&nbsp;</td>
		</tr>
	</table>
	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="option" value="com_mailster" />
	<input type="hidden" name="controller" value="diagnosis" />
	<input type="hidden" name="view" value="diagnosis" />
	<input type="hidden" name="task" value="" />	
	</form>
	<?php
	//keep session alive while editing
	JHTML::_('behavior.keepalive');
	?>
