<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */
	 
	defined( '_JEXEC' ) or die( 'Restricted access' );
	?>
	<script language="javascript" type="text/javascript">
		function submitbutton(task)
		{
			validateSubmittedForm(task);
		}
		<?php
			echo 'Joomla.submitbutton = function(pressbutton) { validateSubmittedForm(pressbutton); };';
		?>
		function validateSubmittedForm(task)
		{
			var form = document.adminForm;
			// check we aren't cancelling
			if (task == 'cancel')
			{	// no need to validate, we are cancelling		
				submitform( task );
				return;
			}		
			
			submitform( task );
			
		}
	</script>

	<form action="index.php" method="post" name="adminForm" id="adminForm">

		<table cellspacing="0" cellpadding="0" border="0" width="100%" class="adminform">
			<tr>
				<td valign="top">
					<table class="adminform" width="400px">
					<?php if($this->row && $this->row->id > 0): ?>
						<tr>
							<td width="50px">
								<label for="id">
									<?php echo JText::_( 'COM_MAILSTER_JID' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->row->id; ?>
							</td>
						</tr>
					<?php endif; ?>
						<tr>
							<td width="50px">
								<label for="list_id">
									<?php echo JText::_( 'COM_MAILSTER_MAILING_LIST' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->lists['list_id']; ?>
							</td>
						</tr>
						<tr>
							<td width="50px">
								<label for="is_joomla_user">
									<?php echo JText::_( 'COM_MAILSTER_USER_DATA_ORIGIN' ).':'; ?>
								</label>
							</td>
							<td>
								<?php echo ($this->is_joomla_user == '1' ? JText::_( 'COM_MAILSTER_JOOMLA_USER_DATA' ) : JText::_( 'COM_MAILSTER_MAILSTER_USER_DATA' )); ?>
							</td>
						</tr>						
						<tr>
							<td width="50px">
								<label for="name">
									<?php echo JText::_( 'COM_MAILSTER_NAME' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->user->name; ?>
							</td>
						</tr>
						<tr>
							<td width="50px">
								<label for="email">
									<?php echo JText::_( 'COM_MAILSTER_EMAIL' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->user->email; ?>
							</td>
						</tr>
						<tr>
							<td width="50px">
								<label for="digest_freq">
									<?php echo JText::_( 'COM_MAILSTER_DIGEST_FREQUENCY' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->lists['digest_freq']; ?>
							</td>
						</tr>
						<tr>
							<td width="50px">
								<label for="last_send_date">
									<?php echo JText::_( 'COM_MAILSTER_DIGEST_LAST_SENDING' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->row ? $this->row->last_send_date : '-'; ?>
							</td>
						</tr>
						<tr>
							<td width="50px">
								<label for="last_send_date">
									<?php echo JText::_( 'COM_MAILSTER_DIGEST_NEXT_SENDING' ).':'; ?>
								</label>
							</td>
							<td width="100px">
								<?php echo $this->row ? $this->row->next_send_date : '-'; ?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<h3><?php echo JText::_( 'COM_MAILSTER_DIGEST_QUEUE' ); ?></h3>
		<table class="adminlist table table-striped" cellspacing="1">
			<thead>
				<tr>
					<th width="5"><?php echo JText::_( 'COM_MAILSTER_NUM' ); ?></th>
					<th class="title"><?php echo JText::_( 'COM_MAILSTER_SUBJECT' ); ?></th>	
					<th width="50"><?php echo JText::_( 'COM_MAILSTER_EMAIL' ); ?></th>
					<th width="250"><?php echo JText::_( 'COM_MAILSTER_DATE' ); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				$k=0;
				for($i=0, $n=count( $this->digestMailQueue ); $i < $n; $i++) {
					$digestMail = &$this->digestMailQueue[$i];
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td><?php echo ($i+1); ?></td>
					<td><?php echo $digestMail->mail_subject; ?></td>
					<td><?php echo $digestMail->mail_id; ?></td>
					<td align="center" class="center"><?php echo $digestMail->digest_time; ?></td>
				</tr>
				<?php
				$k = 1 - $k; 
				} ?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="4">&nbsp;</td>
				</tr>
			</tfoot>
		</table>
		
		<?php echo JHTML::_( 'form.token' ); ?>
		<input type="hidden" name="option" value="com_mailster" />
		<input type="hidden" name="controller" value="digests" />
		<input type="hidden" name="view" value="digest" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="id" value="<?php echo $this->row ? $this->row->id : 0; ?>" />
		<input type="hidden" name="user_id" value="<?php echo $this->user_id; ?>" />
		<input type="hidden" name="is_joomla_user" value="<?php echo $this->is_joomla_user; ?>" />
	</form>
	<?php
		//keep session alive while editing
		JHTML::_('behavior.keepalive');
	?>
