<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');

	/**
	 * HTML View class for the Digest View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewDigest extends MailsterView
	{
		function display($tpl = null)
		{	
			global $mstOverwriteViewACL;
			$db = JFactory::getDBO();
			$mstQueue = MstFactory::getMailQueue();
			$mailModel = MstFactory::getModel('mail');
			$digestModel = MstFactory::getModel('digest');
			$listsModel = MstFactory::getModel('lists');
			$userModel = MstFactory::getModel('user');
			$id = JRequest::getInt('id', 0);
			
			if($id <= 0){
				$digests = $digestModel->getDigestsOfUser( JRequest::getInt('user_id', 0), JRequest::getInt('is_joomla_user', 0), JRequest::getInt('list_id', 0));
				if(count($digests)>0){
					$id = $digests[0]->id;
				}
			}

			$digestMailQueue = array();
			$row = $digestModel->getDigest($id);
			if ( $id > 0 ) {
				JToolBarHelper::title( JText::_( 'COM_MAILSTER_EDIT_DIGEST' ), 'digest-mailster' );
				$digestFreq = $row->digest_freq;
				$digestMailQueue = $mstQueue->getMailQueueForDigest($id);
			} else {
				JToolBarHelper::title( JText::_( 'COM_MAILSTER_ADD_DIGEST' ), 'digest-mailster' );
				$digestFreq = 0; // no digest set
			}
			
			for($i=0;$i<count($digestMailQueue);$i++){
				$mail = $mailModel->getData($digestMailQueue[$i]->mail_id);
				$digestMailQueue[$i]->mail_subject = $mail->subject;
			}

			if(MstFactory::getAuthorization()->isAllowed('core.edit', $row->list_id) || $mstOverwriteViewACL){
				JToolBarHelper::save();
				JToolBarHelper::apply();
			}
			JToolBarHelper::cancel();		
						
			$userId = JRequest::getInt('user_id', (isset($row->user_id) ? $row->user_id : 0));
			$isJoomlaUser = JRequest::getInt('is_joomla_user', (isset($row->is_joomla_user) ? $row->is_joomla_user : 0));
			$listId = JRequest::getInt('list_id', (isset($row->list_id) ? $row->list_id : 0));
			
			$lists = array();
			$lists['digest_freq'] = $digestModel->getDigestChoiceHtml($digestFreq);

			$mailingLists = $listsModel->getData();
			$lists['list_id'] = JHTML::_('select.genericlist',
					$mailingLists, 'list_id',
					'class="inputbox" size="1" style="width:200px;" '.($id > 0 ? 'disabled="disabled"' : ''),
					'id', 'name', $listId).($id > 0 ? '<input type="hidden" name="list_id" value="'.$listId.'" />' : '');
			
			$user = $userModel->getUserData($userId, $isJoomlaUser);
			
			$this->assignRef('row'  , $row);
			$this->assignRef('user_id'  , $userId);
			$this->assignRef('is_joomla_user'  , $isJoomlaUser);
			$this->assignRef('list_id'  , $listId);
			$this->assignRef('digestMailQueue'	, $digestMailQueue);
			$this->assignRef('user'	, $user);
			$this->assignRef('lists', $lists);
	 	
			parent::display($tpl);
		}


	}
?>
