<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');
	
	
	/**
	 * HTML View class for the Digests View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewDigests extends MailsterView
	{
		function display($tpl = null)
		{				
			global $mstOverwriteViewACL;
			$document = JFactory::getDocument();
			$db = JFactory::getDBO();
			$userModel = MstFactory::getModel('user');
			$listModel = MstFactory::getModel('list');
			$mailQueue = MstFactory::getMailQueue();
			
			JToolBarHelper::title( JText::_( 'COM_MAILSTER_DIGESTS' ), 'digest-mailster' );	
			if($this->canDo->get('core.edit') || $mstOverwriteViewACL){
				JToolBarHelper::deleteList();
			}
			
			$mstUtils = MstFactory::getUtils();
			$mstUtils->addSubmenu('digests');	
			
			$model = MstFactory::getModel('digest');			
			$rows = $model->getDataExcludingDigest2ArticleDigests();
			
			for($i=0, $n=count($rows); $i<$n; $i++){
				$rows[$i]->user = $userModel->getUserData($rows[$i]->user_id, $rows[$i]->is_joomla_user);
				$rows[$i]->list = $listModel->getData($rows[$i]->list_id);
				$rows[$i]->mailsInQueue = count($mailQueue->getMailQueueForDigest($rows[$i]->id));
			}			
			
			$this->assignRef('rows', $rows);
			parent::display($tpl);
		}

	}
?>
