<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');
	
	
	/**
	 * HTML View class for the Groups View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewGroups extends MailsterView
	{
		function display($tpl = null)
		{		
			global $mstOverwriteViewACL;
			$user = JFactory::getUser();
			$document = JFactory::getDocument();
			$db = JFactory::getDBO();			
			
			JToolBarHelper::title( JText::_( 'COM_MAILSTER_MAILING_LIST_GROUPS' ), 'groups-mailster' );
			if($this->canDo->get('core.edit') || $mstOverwriteViewACL){	
				JToolBarHelper::custom( 'removeGroups', 'removeGroups-mailster.png', 'removeGroups-mailster.png', JText::_( 'COM_MAILSTER_REMOVE_GROUPS' ), true, false );
			}
			
			$mstUtils = MstFactory::getUtils();
			$mstUtils->addSubmenu('groups');

			$model = $this->getModel();
			$rows = $model->getData();
			$nonUsedJoomlaGroups = $model->getNonUsedJoomlaGroups();
			
			$groupsEntries = array();
			for($i=0; $i < count($nonUsedJoomlaGroups); $i++)
			{
				$nonUsedGroup = $nonUsedJoomlaGroups[$i];
				$entry = new stdClass();
				$entry->value = $nonUsedGroup->id;
				$entry->text  = $nonUsedGroup->name; 
				$groupsEntries[$i] = $entry;
			}
						
			$this->assignRef('rows', $rows);
			$this->assignRef('user', $user);	 
			$this->assignRef('groupsEntries', $groupsEntries);	 
			parent::display($tpl);
		}

	}
?>
