<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');

	/**
	 * HTML View class for the List View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewList extends MailsterView
	{
		function display($tpl = null)
		{	
			$user = JFactory::getUser();
			$document = JFactory::getDocument();
			$db = JFactory::getDBO();
			$cid 		= JRequest::getVar( 'cid');
			$task 		= JRequest::getVar('task');
			$form = $this->get('Form');
            /** @var $serverModel MailsterModelServer */
            $serverModel = MstFactory::getModel('server');
            /** @var $serversModel MailsterModelServers */
            $serversModel = MstFactory::getModel('servers');
			
			$row = $this->get('Data');
			if ( $cid ) {
				JToolBarHelper::title( JText::_( 'COM_MAILSTER_EDIT_MAILING_LIST' ) . ' (' . $row->name . ')', 'list-mailster' );
			} else {
				JToolBarHelper::title( JText::_( 'COM_MAILSTER_ADD_MAILING_LIST' ), 'addList-mailster' );
			}
            $serverInb = $serverModel->getServer($row->server_inb_id);
            $serverOut = $serverModel->getServer($row->server_out_id);
						
			$jUserUtils = MstFactory::getJUserUtils();
			$jUsers = $jUserUtils->getAllUsers();
			
			$groupsModel = $this->getModel('groups');
			$groups = $groupsModel->getData();
			
			JToolBarHelper::save();
			JToolBarHelper::apply();
			JToolBarHelper::cancel();

			$Lists = array();
			$listOptions = array();			

			$this->canDo = MstFactory::getAuthorization()->getActions($cid[0]);

            $newServerSetting = new stdClass();
            $newServerSetting->id = 0;
            $newServerSetting->name = JText::_('COM_MAILSTER_NEW_SERVER');

            $inboxServers = $serversModel->getInboxServers(true);
            $selectedInbox = (isset($row->server_inb_id) ? $row->server_inb_id : 0) > 0 ? $row->server_inb_id : (count($inboxServers) > 0 ? $inboxServers[0]->id : 0);
            $inboxServers[] = $newServerSetting;
            $Lists['server_inb_id'] = JHTML::_('select.genericlist',  $inboxServers, 'server_inb_id',
                'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_INBOX_SERVER' ).'" size="1" style="width:200px;"',
                'id', 'name', $selectedInbox);

            $smtpServers = $serversModel->getSMTPServers(true);
            $selectedSmtp = (isset($row->server_out_id) ? $row->server_out_id : 0) > 0 ? $row->server_out_id : (count($smtpServers) > 0 ? $smtpServers[0]->id : 0);
            $smtpServers[] = $newServerSetting;
            $Lists['server_out_id'] = JHTML::_('select.genericlist',  $smtpServers, 'server_out_id',
                'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_SMTP_SERVER' ).'" size="1" style="width:200px;"',
                'id', 'name', $selectedSmtp);
			
			$smtpsecure = array (
                JHTML::_('select.option', '', JText::_( 'COM_MAILSTER_JNONE' )),
                JHTML::_('select.option', 'ssl', 'SSL'),
                JHTML::_('select.option', 'tls', 'TLS'));

			$Lists['smtpsecure_in'] = JHTML::_('select.genericlist',
									  $smtpsecure, 'mail_in_use_secure',
									   'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_MAILING_LIST_USE_SECURE_MEASURES' ).'" size="1" style="width:80px;"',
									   'value', 'text', 
									  (isset($row->mail_in_use_secure) ? $row->mail_in_use_secure : ''));
									  
			$Lists['smtpsecure_out'] = JHTML::_('select.genericlist',
									  $smtpsecure, 
									  'mail_out_use_secure', 
									  'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_MAILING_LIST_USE_SECURE_MEASURES' ).'" size="1" style="width:80px;"', 
									  'value', 'text', 
									  (isset($row->mail_out_use_secure) ? $row->mail_out_use_secure : ''));

				
			$frontArchiveAccess = array(JHTML::_('select.option', MstConsts::FRONT_ARCHIVE_ACCESS_ALL_USERS, JText::_('COM_MAILSTER_ALL_USERS')),
										JHTML::_('select.option', MstConsts::FRONT_ARCHIVE_ACCESS_LOGGED_IN_USERS, JText::_('COM_MAILSTER_LOGGED_IN_USERS')),
										JHTML::_('select.option', MstConsts::FRONT_ARCHIVE_ACCESS_LOGGED_IN_SUBSCRIBERS_OF_MAILING_LIST, JText::_('COM_MAILSTER_LOGGED_IN_SUBSCRIBERS_OF_MAILING_LIST')),
                                        JHTML::_('select.option', MstConsts::FRONT_ARCHIVE_ACCESS_NOBODY, JText::_('COM_MAILSTER_NOBOBDY')));
			
			$Lists['front_archive_access'] = JHTML::_('select.genericlist',  $frontArchiveAccess,
														 'front_archive_access', 
														 'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_USERS_AUTHORIZED_TO_ACCESS_CONTENT_OF_THE_MAILING_LISTS_IN_THE_FRONTEND_MAIL_ARCHIVES' ).'" size="1" style="width:250px;"',
														 'value', 'text', 
														(isset($row->front_archive_access) ? $row->front_archive_access : MstConsts::FRONT_ARCHIVE_ACCESS_ALL_USERS));
			
			$protocol = array(
							//	JHTML::_('select.option', '', JText::_( 'COM_MAILSTER_NO_SPECIFIC' )),
								JHTML::_('select.option', 'pop3', 'POP3'),
								JHTML::_('select.option', 'imap', 'IMAP')
							 );
			$Lists['protocol_in'] = JHTML::_('select.genericlist',  $protocol,
											 'mail_in_protocol', 
											 'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_MAILING_LIST_PROTOCOL_SUPPORTED_BY_MAIL_SERVER' ).'" size="1" style="width:80px;"',
											 'value', 'text', 
											(isset($row->mail_in_protocol) ? $row->mail_in_protocol : ''));
			
			$mailFrom = array(
								JHTML::_('select.option', MstConsts::MAIL_FROM_MODE_GLOBAL, JText::_( 'COM_MAILSTER_USE_GLOBAL_SETTING_FROM_CONFIGURATION' )),
								JHTML::_('select.option', MstConsts::MAIL_FROM_MODE_SENDER_EMAIL, JText::_( 'COM_MAILSTER_SENDER_ADDRESS' )),
								JHTML::_('select.option', MstConsts::MAIL_FROM_MODE_MAILING_LIST, JText::_( 'COM_MAILSTER_MAILING_LIST_ADDRESS' ))
							  );
			$Lists['mail_from_mode'] = JHTML::_('select.genericlist',  $mailFrom,
											 'mail_from_mode', 
											 'class="hTipIB.mail_from_hTip" title="'.JText::_( 'COM_MAILSTER_THE_EMAILS_FORWARDED_USE_THIS_FOR_THE_FROM_FIELD' ).'" size="1" style="width:200px;"',
											 'value', 'text', 
											(isset($row->mail_from_mode) ? $row->mail_from_mode : 0));
											
			$nameFrom = array(
								JHTML::_('select.option', MstConsts::NAME_FROM_MODE_GLOBAL, JText::_( 'COM_MAILSTER_USE_GLOBAL_SETTING_FROM_CONFIGURATION' )),
								JHTML::_('select.option', MstConsts::NAME_FROM_MODE_SENDER_NAME, JText::_( 'COM_MAILSTER_SENDER_NAME' )),
								JHTML::_('select.option', MstConsts::NAME_FROM_MODE_MAILING_LIST_NAME, JText::_( 'COM_MAILSTER_MAILING_LIST_NAME' )),
                                JHTML::_('select.option', MstConsts::NAME_FROM_MODE_SENDER_NAME_VIA_LIST_NAME , JText::_( 'COM_MAILSTER_SENDER_NAME_VIA_LIST_NAME' ))
							  );
			$Lists['name_from_mode'] = JHTML::_('select.genericlist',  $nameFrom,
											 'name_from_mode', 
											 'class="hTipIB.name_from_hTip" title="'.JText::_( 'COM_MAILSTER_THE_EMAILS_FORWARDED_USE_THIS_FOR_THE_FROM_FIELD_AS_NAME' ).'" size="1" style="width:200px;"',
											 'value', 'text', 
											(isset($row->name_from_mode) ? $row->name_from_mode : 0));
			
			$convOptions = array (
			JHTML::_('select.option', MstConsts::MAIL_FORMAT_CONVERT_NONE, JText::_( 'COM_MAILSTER_NO_CONVERSION' )),
			JHTML::_('select.option', MstConsts::MAIL_FORMAT_CONVERT_HTML, JText::_( 'COM_MAILSTER_HTML_MAIL' )),
			JHTML::_('select.option', MstConsts::MAIL_FORMAT_CONVERT_PLAIN, JText::_( 'COM_MAILSTER_PLAINTEXT_MAIL' )));
			
			$Lists['mail_format_conv'] = JHTML::_('select.genericlist', 
													 $convOptions, 'mail_format_conv', 
													 'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_CONVERT_MAIL_FORMAT_TO_A_FIXED_FORMAT_OR_LEAVE_IT_UNTOUCHED' ).'" size="1" style="width:120px;"', 
													 'value', 'text', 
													 (isset($row->mail_format_conv) ? $row->mail_format_conv : MstConsts::MAIL_FORMAT_CONVERT_HTML));


			$sendReportOpts = array (
			JHTML::_('select.option', 0, JText::_( 'COM_MAILSTER_SEND_REPORT_DO_NOT_SAVE_SEND_REPORTS' )),
			JHTML::_('select.option', 7, JText::sprintf( 'COM_MAILSTER_SEND_REPORT_SAVE_SEND_REPORTS_FOR_X_DAYS', 7)),
			JHTML::_('select.option', 30, JText::sprintf( 'COM_MAILSTER_SEND_REPORT_SAVE_SEND_REPORTS_FOR_X_DAYS', 30)));
			
			$Lists['save_send_reports'] = JHTML::_('select.genericlist', 
													 $sendReportOpts, 'save_send_reports', 
													 'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_SEND_REPORT_SAVE_SEND_REPORT_FOR_GIVEN_DURATION_CAN_BE_VIEWED_IN_MAIL_ARCHIV' ).'" size="1" style="width:200px;"', 
													 'value', 'text', 
													 (isset($row->save_send_reports) ? $row->save_send_reports : 7));
											
													 
			$notifyUtils 	= MstFactory::getNotifyUtils();
			$targetTypes 	= $notifyUtils->getAvailableTargetTypes();
			$triggerTypes 	= $notifyUtils->getAvailableTriggerTypes();	
			$notifies		= $notifyUtils->getNotifiesOfMailingList($cid[0]);
				
			$listOptions['trigger_types'] = JHTML::_('select.options', $triggerTypes, 'type', 'name');
			$listOptions['target_types'] = JHTML::_('select.options', $targetTypes, 'type', 'name');
			$listOptions['joomla_users'] = JHTML::_('select.options', $jUsers, 'id', 'name');
			$listOptions['user_groups'] = JHTML::_('select.options', $groups, 'id', 'name');
			
			for($i=0; $i<count($notifies); $i++){
				$notify = &$notifies[$i];
				$notify->triggerTypes = JHTML::_('select.options', $triggerTypes, 'type', 'name', $notify->trigger_type);
				$notify->targetTypes = JHTML::_('select.options', $targetTypes, 'type', 'name', $notify->target_type);
				if($notify->target_type == MstNotify::TARGET_TYPE_JOOMLA_USER){
					$notify->targetChoice =  JHTML::_('select.options', $jUsers, 'id', 'name', $notify->user_id);
				}elseif($notify->target_type == MstNotify::TARGET_TYPE_USER_GROUP){
					$notify->targetChoice =  JHTML::_('select.options', $groups, 'id', 'name', $notify->group_id);
				}
				$notifies[$i] = $notify;
			}

			
			$Lists['archive2article_author'] = JHTML::_('select.genericlist',  $jUsers, 'archive2article_author', 
											'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_AUTHOR_UNDER_WHICH_NAME_THE_ARTICLE_IS_PUBLISHED' ).'" size="1" style="width:120px;"', 
											'id', 'name', 
											 (isset($row->archive2article_author) ? $row->archive2article_author : 0));

            $categories = JHtml::_('category.options', 'com_content');
            if(!isset($row->archive2article_cat)){
                array_unshift($categories, JHtml::_('select.option', '0', JText::_('JOPTION_SELECT_CATEGORY')));
            }
            $Lists['archive2article_cat'] = JHtml::_(
                                                    'select.genericlist', $categories, 'archive2article_cat','class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_CATEGORY_UNDER_WHICH_NAME_THE_ARTICLE_IS_PUBLISHED' ).'" size="1" style="width:120px;"', 'value', 'text',
                                                    (isset($row->archive2article_cat) ? $row->archive2article_cat : 0) );

			$stateOpts = array (
					JHTML::_('select.option', 1, JText::_( 'COM_MAILSTER_PUBLISHED' )),
					JHTML::_('select.option', 0, JText::_( 'COM_MAILSTER_UNPUBLISHED')),
					JHTML::_('select.option', 2, JText::_( 'COM_MAILSTER_ARCHIVED')) );
			
			$Lists['archive2article_state'] = JHTML::_('select.genericlist',  $stateOpts, 'archive2article_state', 
											'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_STATE_OF_THE_ARTICLE' ).'" size="1" style="width:120px;"', 
											'value', 'text', 
											 (isset($row->archive2article_state) ? $row->archive2article_state : 1));


            $offlineArchiveOpts = array (
                JHTML::_('select.option', 0, JText::_( 'COM_MAILSTER_OFFLINE_ARCHIVING_DISABLED' )),
                JHTML::_('select.option', 30, JText::sprintf( 'COM_MAILSTER_OFFLINE_ARCHIVE_MESSAGES_OLDER_THAN_X_DAYS', 30)),
                JHTML::_('select.option', 60, JText::sprintf( 'COM_MAILSTER_OFFLINE_ARCHIVE_MESSAGES_OLDER_THAN_X_DAYS', 60)),
                JHTML::_('select.option', 90, JText::sprintf( 'COM_MAILSTER_OFFLINE_ARCHIVE_MESSAGES_OLDER_THAN_X_DAYS', 90)),
                JHTML::_('select.option', 180, JText::sprintf( 'COM_MAILSTER_OFFLINE_ARCHIVE_MESSAGES_OLDER_THAN_X_DAYS', 180)),
                JHTML::_('select.option', 365, JText::sprintf( 'COM_MAILSTER_OFFLINE_ARCHIVE_MESSAGES_OLDER_THAN_X_DAYS', 365)));

            $Lists['archive_offline'] = JHTML::_('select.genericlist',  $offlineArchiveOpts, 'archive_offline',
                'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_OFFLINE_ARCHIVING_THE_MESSAGES_IN_THE_EMAIL_ARCHIVE_CAN_BE_MOVED_TO_AN_OFFLINE_ARCHIVE_TO_CLEAN_UP_THE_LIVE_DATABASE_HOWEVER_THIS_MAKES_THEM_UNAVAILABLE_FOR_ACCESS_THROUGH_THE_FRONTEND_ARCHIVE' ).'" size="1" style="width:260px;"',
                'value', 'text',
                (isset($row->archive_offline) ? $row->archive_offline : 0));
			
			$this->assignRef('row'      	, $row);
			$this->assignRef('user'			, $user);
			$this->assignRef('groups'		, $groups);
			$this->assignRef('notifies'		, $notifies);
			$this->assignRef('Lists'		, $Lists);
			$this->assignRef('listOptions'	, $listOptions);
			$this->assignRef('convOptions'	, $convOptions);
            $this->assignRef('serverInb'	, $serverInb);
            $this->assignRef('serverOut'	, $serverOut);
			$this->assignRef('form'			, $form);
	 
			parent::display($tpl);
		}

	}
?>
