<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );
	$log = MstFactory::getLogger();
	$mailUtils 	= MstFactory::getMailUtils();
	$dateUtils 	= MstFactory::getDateUtils();
	$mstUtils 	= MstFactory::getUtils();
	$fileUtils	= MstFactory::getFileUtils();
	$mstUtils->loadJavascript();
	$mstUtils->addTabs();
	$mstUtils->addTips();
	?>
<script language="javascript" type="text/javascript">
	var $j = jQuery.noConflict();
	$j(document).ready(function(){
		prepareTabs();
		prepareTips();
	}); 
	
	function validateSubmittedForm(task)
	{
		var form = document.adminForm;
		if (task == 'cancel'){
			submitform( task );
			return;
		}
		submitform( task );			
	}
	function submitbutton(task){
		validateSubmittedForm(task);
	}
	<?php
		echo 'Joomla.submitbutton = function(pressbutton) { validateSubmittedForm(pressbutton); };';
	?>
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table cellspacing="0" cellpadding="0" border="0" width="100%" class="adminform">		
		<tr>
			<td style="width:150px;text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_SENDER_ADDRESS' ).':'; ?></label></td>
			<td style="width:500px;"><?php echo $this->row->from_name . '&nbsp; &lt;' . $this->row->from_email . '&gt;'; ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_SUBJECT' ).':'; ?></label></td>
			<td style=""><strong><?php echo $this->row->subject; ?></strong></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_DATE' ).':'; ?></label></td>
			<td style=""><?php echo $dateUtils->formatDateAsConfigured($this->row->receive_timestamp) . ' (' . JText::_( 'COM_MAILSTER_FORWARD_COMPLETED' ).': ' . ($this->row->fwd_completed == '1' ? JText::_( 'COM_MAILSTER_JYES' ) . ' - ' . $dateUtils->formatDateAsConfigured($this->row->fwd_completed_timestamp) : JText::_( 'COM_MAILSTER_JNO' )) . ')'; ?></td>
			<td>&nbsp;</td>
		</tr>
       	<?php 
       	if($this->row->size_in_bytes > 0){ 
       	?>
		<tr>
			<td style="text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_SIZE' ).':'; ?></label></td>
			<td style=""><?php echo $fileUtils->getFileSizeStringForSizeInBytes($this->row->size_in_bytes); ?></td>
			<td>&nbsp;</td>
		</tr>
		<?php 
       	}
       	?>
       <?php 
       if($this->row->fwd_errors > 0){ 
       ?>
		<tr>
			<td style="text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_FORWARD_ERRORS' ).':'; ?></label></td>
			<td style="color:red;"><?php echo JText::_( 'COM_MAILSTER_JYES' ) . ' (' . $this->row->fwd_errors . ')';?></td>
			<td>&nbsp;</td>
		</tr>
		<?php 
       	}
       	$queueEntriesLink = 'index.php?option=com_mailster&view=queue&controller=queue&task=view&mailId='.$this->row->id;
       	?>
		<tr>
			<td style="text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_MAIL_QUEUE_ENTRIES' ).':'; ?></label></td>
			<td><?php echo ($this->noQueueEntries ? '<a href="'.$queueEntriesLink.'" target="_blank">'.JText::_( 'COM_MAILSTER_JYES' ) . ' (' . $this->noQueueEntries . ')'.'</a>' : JText::_( 'COM_MAILSTER_JNO' )); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align:right;vertical-align:top;"><label><?php echo JText::_( 'COM_MAILSTER_ORIGINAL_HEADERS' ).':'; ?></label></td>
			<td style="padding:0px;"><table><?php 
				if(!is_null($this->row->orig_to_recips) && (strlen($this->row->orig_to_recips) > 0)){
					?><tr><th><?php echo JText::_( 'COM_MAILSTER_TO_HEADER_NAME' ); ?></th><td><?php 
							$toRecips = $mstUtils->jsonDecode($this->row->orig_to_recips);
							foreach($toRecips As $k=>$toRecip){		
								if($k > 0){	echo ', '; }				
								echo htmlentities((strlen($toRecip->name)>0? $toRecip->name.' ' : ''). '<'.$toRecip->email.'>');
							}
					?></td></tr><?php 
				}
				if(!is_null($this->row->orig_cc_recips) && (strlen($this->row->orig_cc_recips) > 0)){
					?><tr><th><?php echo JText::_( 'COM_MAILSTER_CC_HEADER_NAME' ); ?></th><td><?php 
							$ccRecips = $mstUtils->jsonDecode($this->row->orig_cc_recips);
							foreach($ccRecips As $k=>$ccRecip){		
								if($k > 0){	echo ', '; }				
								echo htmlentities((strlen($ccRecip->name)>0? $ccRecip->name.' ' : ''). '<'.$ccRecip->email.'>');
							}
					?></td></tr><?php 
				}
			?></table></td>
			<td>&nbsp;</td>
		</tr>
<?php 
	if($this->row->has_attachments == '1'){			
?>
		<tr>
			<td style="text-align:right;"><label><?php echo JText::_( 'COM_MAILSTER_ATTACHMENTS' ).':'; ?></label></td>
			<td style="">
				<?php
				$attachStr = '';
				$attachs = $this->row->attachments;
				for($i=0; $i < count($attachs); $i++){
					$attach = &$attachs[$i];
					if($attach->disposition == MstConsts::DISPOSITION_TYPE_ATTACH){
						$dwlLink = 'index.php?option=com_mailster&controller=mails&task=download&format=raw&attachId=' . $attach->id;
						$attachStr = $attachStr . '<a href="' . $dwlLink . '" >' . rawurldecode($attach->filename) . '</a><br/>';
					}
				} 
				echo $attachStr;
				?>
			</td>
			<td>&nbsp;</td>
		</tr>
<?php 
	}
?>
		<tr>
			<td style="text-align:right;"><label>&nbsp;</label></td>
			<td style="">
				<div id="tabContainer" class="tabs">
			        <ul class="tabNavigation">
			       		<li><a id="first" 	class="" 	href="#first" 	onclick=""><?php echo JText::_( 'COM_MAILSTER_BODY' ); ?></a></li>
			       		<?php 
			       		if($this->row->has_send_report){ // has email a send report attached?
			       		?>
			            <li><a id="second" 	class="" 	href="#second" 	onclick=""><?php echo JText::_( 'COM_MAILSTER_SEND_REPORT' ); ?></a></li>
			            <?php
			       		}else{
							$title = JText::_( 'COM_MAILSTER_NO_SEND_REPORT_STORED_FOR_THIS_MAIL' );
			       		?>
			            <li style="color:darkgrey; padding:0 15px;" title="<?php echo $title; ?>" ><?php echo JText::_( 'COM_MAILSTER_SEND_REPORT' ); ?></li>
			            <?php
			       		}
			       		?>
			        </ul>
					<div style="display: none; padding-left:20px; padding-top:5px;" id="first" class="tabDiv">	
						<div style="width:1000px; border:1px solid darkgrey; background-color:white; color:black;">
							<?php	
								if(is_null($this->row->html) || strlen(trim($this->row->html))<1){	
									$body =  nl2br($this->row->body); 
									$content = $body;
								}else{	
									$content =  $this->row->html;					
								//	$content = $mailUtils->getContentOfHtmlBody($content);
									$content = $mailUtils->replaceContentIdsWithAttachments($content, $this->row->attachments);
								}
								echo $content;
							?>
						</div>
					</div>
					<div style="display: none; padding-left:20px; padding-top:5px;" id="second" class="tabDiv">
						<div style="width:1000px; border:1px solid darkgrey;">
                            <table>
                                <tr>
                                    <th width="130px"><?php echo JText::_( 'COM_MAILSTER_DATE' ); ?></th>
                                    <th width="20px">&nbsp;</th>
                                    <th width="200px"><?php echo JText::_( 'COM_MAILSTER_EVENT' ); ?></th>
                                    <th width="450px"><?php echo JText::_( 'COM_MAILSTER_DESCRIPTION' ); ?></th>
                                    <th width="200px"></th>
                                </tr>
                                <?php
                                foreach($this->sendreport AS $event){
                                ?>
                                <tr>
                                    <td width="130px"><?php echo $dateUtils->formatDate($event->event_time); ?></td>
                                    <td width="20px"><img src="<?php echo $event->imgPath; ?>" /></td>
                                    <td width="200px"><?php echo $event->name; ?></td>
                                    <td width="450px"><?php echo $event->desc; ?></td>
                                    <td width="200px"><?php
                                    if($event->recips != null){
                                        if(property_exists($event->recips, 'to') && count($event->recips->to) > 0){
                                            echo '<img src="'.$event->recips->toImg.'" title="' . $event->recips->toStr . '" class="hTipWI" style="margin:3px"/> ';
                                        }
                                        if(property_exists($event->recips, 'cc') && count($event->recips->cc) > 0){
                                            echo '<img src="'.$event->recips->ccImg.'" title="' . $event->recips->ccStr . '" class="hTipWI" style="margin:3px"/> ';
                                        }
                                        if(property_exists($event->recips, 'bcc') && count($event->recips->bcc) > 0){
                                            echo '<img src="'.$event->recips->bccImg.'" title="' . $event->recips->bccStr . '" class="hTipWI" style="margin:3px"/> ';
                                        }
                                    }
                                    ?></td>
                                </tr>
                                <?php
                                }
                                ?>
                            </table>
						</div>
					</div>
				</div>
			</td>
			<td>&nbsp;</td>
		</tr>
		</table>
	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="option" value="com_mailster" />
	<input type="hidden" name="controller" value="mails" />
	<input type="hidden" name="view" value="mail" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="listID" value="<?php echo $this->listID; // when filter was active?>" /> 
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
	<input type="hidden" name="tab" value="" id="tab" />
</form>
<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>