<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');

	/**
	 * HTML View class for the Mail View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewMail extends MailsterView
	{
		function display($tpl = null)
		{	
			$attachUtils = MstFactory::getAttachmentsUtils();
			$user = JFactory::getUser();
			$document = JFactory::getDocument();
			$db = JFactory::getDBO();
			$list_id 	= JRequest::getInt("listID", -1);
			
			JToolBarHelper::title( JText::_( 'COM_MAILSTER_VIEW_MAIL' ), 'mail-mailster' );	
		
			$row = $this->get('Data');			
			
			$sendEvents = MstFactory::getSendEvents();
			$sendReport = $sendEvents->getSendEventsForMail($row->id);
			$mailQueue = MstFactory::getMailQueue();
			$noQueueEntries = $mailQueue->getNumberOfQueueEntriesForMail($row->id);
			if($noQueueEntries){
				$mailsExceededSendAttempts = $mailQueue->getPendingMailsThatExceededMaxSendAttempts($row->list_id);
				foreach($mailsExceededSendAttempts AS $mailExeededSendAttempts){
					if($mailExeededSendAttempts->id == $row->id){
						JToolBarHelper::custom( 'resetErrorCountContinueSending', 'resetErrorCountContinueSending-mailster.png', 'resetErrorCountContinueSending-mailster.png', JText::_( 'COM_MAILSTER_RESET_SEND_ERRORS_CONTINUE_SENDING' ), false, false );
					}
				}
				JToolBarHelper::custom( 'removeRemainingQueueEntries', 'removeRemainingQueueEntries-mailster.png', 'removeRemainingQueueEntries-mailster.png', JText::_( 'COM_MAILSTER_REMOVE_REMAINING_QUEUE_ENTRIES' ), false, false );
			}			
			JToolBarHelper::cancel();
			
			$row->attachments = $attachUtils->getAttachmentsOfMail($row->id);			
			$this->assignRef('row' , $row);
			$this->assignRef('user', $user);
			$this->assignRef('sendreport', $sendReport);
			$this->assignRef('listID', $list_id);
			$this->assignRef('noQueueEntries', $noQueueEntries);
	 
			parent::display($tpl);
		}


	}
?>
