<?php
/**
 * @package Joomla
 * @subpackage Mailster
 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
 * @license GNU/GPL, see license.txt
 * Mailster is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * Mailster is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Mailster; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * or see http://www.gnu.org/licenses/.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$mstUtils = MstFactory::getUtils();
?>
<script language="javascript" type="text/javascript">
    function submitbutton(task)
    {
        validateSubmittedForm(task);
    }
    <?php
        echo 'Joomla.submitbutton = function(pressbutton) { validateSubmittedForm(pressbutton); };';
    ?>
    function validateSubmittedForm(task)
    {
        var form = document.adminForm;
        // check we aren't cancelling
        if (task == 'cancel')
        {	// no need to validate, we are cancelling
            submitform( task );
            return;
        }
        if (form.name.value == ""){
            alert( <?php echo $mstUtils->jsonEncode(JText::_( 'COM_MAILSTER_ADD_SERVER_NAME')); ?> );
            form.name.focus();
        }else{
            submitform( task );
        }

    }
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
    <table cellspacing="0" cellpadding="0" border="0" width="100%" class="adminform">
        <tr>
            <td valign="top">
                <table class="adminform" width="400px">
                    <tr>
                        <td width="50px">
                            <label for="server_type">
                                <?php echo JText::_( 'COM_MAILSTER_SERVER_TYPE' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <?php echo (isset($this->row->server_type_string) ? $this->row->server_type_string : '');?>
                        </td>
                    </tr>
                    <tr>
                        <td width="50px">
                            <label for="name">
                                <?php echo JText::_( 'COM_MAILSTER_SERVER_NAME' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <input class="inputbox" name="name" value="<?php echo (isset($this->row->name) ? $this->row->name : ''); ?>" size="50" maxlength="45" id="name" />
                        </td>
                    </tr>
                    <tr>
                        <td width="50px">
                            <label for="published">
                                <?php echo JText::_( 'COM_MAILSTER_PUBLISHED' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <?php echo JHTML::_('select.booleanlist', 'published',
                                'class="hTip" title="' . JText::_( 'COM_MAILSTER_PUBLISHED' )  . '"',
                                (isset($this->row->published) ? $this->row->published : 1));
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="50px">
                            <label for="server_host">
                                <?php echo JText::_( 'COM_MAILSTER_SERVER_HOST' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <input class="inputbox" name="server_host" value="<?php echo (isset($this->row->server_host) ? $this->row->server_host : ''); ?>" size="50" maxlength="45" id="server_host" />
                        </td>
                    </tr>
                    <tr>
                        <td width="50px">
                            <label for="server_port">
                                <?php echo JText::_( 'COM_MAILSTER_SERVER_PORT' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <input class="inputbox" name="server_port" value="<?php echo (isset($this->row->server_port) ? $this->row->server_port : ''); ?>" size="10" maxlength="45" id="server_port" />
                        </td>
                    </tr>
                    <tr>
                        <td width="50px">
                            <label for="secure_protocol">
                                <?php echo JText::_( 'COM_MAILSTER_SERVER_SECURITY' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <?php echo $this->lists['secure_protocol']; ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="50px">
                            <label for="secure_authentication">
                                <?php echo JText::_( 'COM_MAILSTER_SERVER_SECURE_AUTHENTICATION' ).':'; ?>
                            </label>
                        </td>
                        <td width="100px">
                            <?php echo JHTML::_('select.booleanlist', 'secure_authentication',
                                'class="hTip" title="' . JText::_( 'COM_MAILSTER_MAILING_LIST_USE_SECURE_AUTHENTICATION_NO_PLAINTEXT_PW' )  . '"',
                                (isset($this->row->secure_authentication) ? $this->row->secure_authentication : 0));
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <table class="adminform" width="400px">
                    <tr>
                        <td colspan="3">
                            <?php echo JText::plural('COM_MAILSTER_SERVER_USED_IN_X_MAILING_LISTS', $this->row->used_in_list_count); ?>
                        </td>
                    </tr>
                    <?php
                    if(count($this->row->used_by_lists)):
                        ?>
                        <tr>
                            <th><?php echo JText::_('COM_MAILSTER_NUM'); ?></th>
                            <th><?php echo JText::_('COM_MAILSTER_NAME'); ?></th>
                            <th><?php echo JText::_('COM_MAILSTER_JID'); ?></th>
                        </tr>
                    <?php
                    endif;
                    foreach($this->row->used_by_lists AS $i=>$listObj){
                        $listLink = 'index.php?option=com_mailster&amp;view=list&amp;controller=lists&amp;task=edit&cid[]='.$listObj->id;
                        ?>
                        <tr>
                            <td><?php echo ($i+1); ?></td>
                            <td><a href="<?php echo $listLink; ?>" target="_blank"><?php echo $listObj->name; ?></a></td>
                            <td><?php echo $listObj->id; ?></td>
                        </tr>
                    <?php
                    }
                    ?>
                </table>
            </td>
        </tr>
    </table>

    <?php echo JHTML::_( 'form.token' ); ?>
    <input type="hidden" name="server_type" value="<?php echo (isset($this->row->server_type) ? $this->row->server_type : MstConsts::SERVER_TYPE_SMTP);?>" />
    <input type="hidden" name="protocol" value="smtp" />
    <input type="hidden" name="connection_parameter" value="<?php echo (isset($this->row->connection_parameter) ? $this->row->connection_parameter : '');?>" />
    <input type="hidden" name="api_key1" value="<?php echo (isset($this->row->api_key1) ? $this->row->api_key1 : '');?>" />
    <input type="hidden" name="api_key2" value="<?php echo (isset($this->row->api_key2) ? $this->row->api_key2 : '');?>" />
    <input type="hidden" name="api_endpoint" value="<?php echo (isset($this->row->api_endpoint) ? $this->row->api_endpoint : '');?>" />
    <input type="hidden" name="option" value="com_mailster" />
    <input type="hidden" name="controller" value="servers" />
    <input type="hidden" name="view" value="server" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="id" value="<?php echo (isset($this->row->id) ? $this->row->id : 0); ?>" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>
