<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');

	/**
	 * HTML View class for the Server View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewServer extends MailsterView
	{
		function display($tpl = null)
		{
            $log = MstFactory::getLogger();
			$user = JFactory::getUser();
			$document = JFactory::getDocument();
			$db = JFactory::getDBO();
			$cid = JRequest::getVar( 'cid', array(0), 'none', 'array' );
			
			if ( $cid ) {
				JToolBarHelper::title( JText::_( 'COM_MAILSTER_EDIT_SERVER_SETTINGS' ), 'server-mailster' );
			} else {
				JToolBarHelper::title( JText::_( 'COM_MAILSTER_ADD_SERVER' ), 'server-mailster' );
			}

			JToolBarHelper::save();
			JToolBarHelper::apply();
			JToolBarHelper::cancel();		
			
			$row = $this->get('Data');
            $lists = array();

            if($row && $row->id > 0){
                $serverType = $row->server_type;
            }else{
                $serverType = JRequest::getString('layout_id');
            }

            switch($serverType){
                case MstConsts::SERVER_TYPE_MAIL_INBOX:
                    $this->setLayout('imappop');
                    $row->server_type_string = JText::_('COM_MAILSTER_SERVER_TYPE_MAIL_INBOX');

                    $protocol = array(
                        JHTML::_('select.option', 'pop3', 'POP3'),
                        JHTML::_('select.option', 'imap', 'IMAP')
                    );
                    $lists['protocol'] = JHTML::_('select.genericlist',  $protocol,
                        'protocol',
                        'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_MAILING_LIST_PROTOCOL_SUPPORTED_BY_MAIL_SERVER' ).'" size="1" style="width:80px;"',
                        'value', 'text', (isset($row->protocol) ? $row->protocol : ''));

                    $secureProtocols = array (
                        JHTML::_('select.option', '', JText::_( 'COM_MAILSTER_JNONE' )),
                        JHTML::_('select.option', 'ssl', 'SSL'),
                        JHTML::_('select.option', 'tls', 'TLS'));
                    $lists['secure_protocol'] = JHTML::_('select.genericlist',
                        $secureProtocols, 'secure_protocol',
                        'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_MAILING_LIST_USE_SECURE_MEASURES' ).'" size="1" style="width:80px;"',
                        'value', 'text', (isset($row->secure_protocol) ? $row->secure_protocol : ''));
                    break;
                case MstConsts::SERVER_TYPE_SMTP:
                    $this->setLayout('smtp');
                    $row->server_type_string = JText::_('COM_MAILSTER_SERVER_TYPE_SMTP');

                    $secureProtocols = array (
                        JHTML::_('select.option', '', JText::_( 'COM_MAILSTER_JNONE' )),
                        JHTML::_('select.option', 'ssl', 'SSL'),
                        JHTML::_('select.option', 'tls', 'TLS'));
                    $lists['secure_protocol'] = JHTML::_('select.genericlist',
                        $secureProtocols, 'secure_protocol',
                        'class="inputbox hTip" title="'.JText::_( 'COM_MAILSTER_MAILING_LIST_USE_SECURE_MEASURES' ).'" size="1" style="width:80px;"',
                        'value', 'text', (isset($row->secure_protocol) ? $row->secure_protocol : ''));
                    break;
            }

            //$log->debug('server/view.html.php $row: '.print_r($row, true));
            $row->used_in_list_count = ((int)(isset($row->used_in_list_inb_count) ? $row->used_in_list_inb_count : 0) + (int)(isset($row->used_in_list_out_count) ? $row->used_in_list_out_count : 0));
            if($row->used_in_list_count){
                $row->used_by_lists = MstFactory::getMailingListUtils()->getMailingListsUsingServerId($row->id);
            }else{
                $row->used_by_lists = array();
            }
            //$log->debug('server/view.html.php used_by_lists: '.print_r($row->used_by_lists, true));

			$this->assignRef('row'  , $row);
			$this->assignRef('user'	, $user);
			$this->assignRef('lists', $lists);
	 
			parent::display($tpl);
		}

	}
?>