<?php
/**
 * @package Joomla
 * @subpackage Mailster
 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
 * @license GNU/GPL, see license.txt
 * Mailster is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * Mailster is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Mailster; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * or see http://www.gnu.org/licenses/.
 */


defined( '_JEXEC' ) or die( 'Restricted access' );
$dateUtils = MstFactory::getDateUtils();
$mstUtils = MstFactory::getUtils();
$mstUtils->loadJavascript();
$mstUtils->addTable();
global $mstOverwriteViewACL;
?>
<script language="javascript" type="text/javascript">
    var $j = jQuery.noConflict();
    $j(document).ready(function(){
    });
    function validateSubmittedForm(task){
        var answer = true;
        <?php
             echo "if(task == 'remove'){ answer = confirm('".JText::_('COM_MAILSTER_ARE_YOU_SURE_YOU_WANT_TO_DELETE_THIS_ITEM')."'); }";
        ?>
        if(answer){
            submitform( task ); // submit form
        }else{
            return false; // do not go ahead
        }
    }
    function submitbutton(task){
        validateSubmittedForm(task);
    }
    <?php
        echo 'Joomla.submitbutton = function(pressbutton) { validateSubmittedForm(pressbutton); };';
    ?>
</script>
<form action="index.php" method="post" name="adminForm" id="adminForm">
    <table class="adminlist table table-striped" cellspacing="1">
        <thead>
        <tr>
            <th width="5"><?php echo JText::_( 'COM_MAILSTER_NUM' ); ?></th>
            <th width="5"><input type="checkbox" name="toggle" value="" onClick="checkAllXT(this.checked, 'adminForm', <?php echo count( $this->rows ); ?>);" /></th>
            <th width="5"><?php echo JText::_( 'COM_MAILSTER_STATUS' ); ?></th>
            <th class="title"><?php echo JText::_( 'COM_MAILSTER_NAME' ); ?></th>
            <th width="80"><?php echo JText::_( 'COM_MAILSTER_SERVER_USED_IN_MAILING_LIST_COUNT' ); ?></th>
            <th width="120"><?php echo JText::_( 'COM_MAILSTER_SERVER_TYPE' ); ?></th>
            <th width="1%" nowrap="nowrap"><?php echo JText::_( 'COM_MAILSTER_JID' ); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php

        $k = 0;
        for($i=0, $n=count( $this->rows ); $i < $n; $i++) {
            $row = &$this->rows[$i];
            $link 			= 'index.php?option=com_mailster&amp;view=list&amp;controller=servers&amp;task=edit&amp;cid[]='.$row->id;
            $checked 		= '<input type="checkbox" onclick="isChecked(this.checked);" value="' .$row->id. '" name="cid[]" id="cb' . $i . '">';
            $canEditItem = MstFactory::getAuthorization()->isAllowed('core.edit', $row->id);
            $row->used_in_list_count = (int)$row->used_in_list_inb_count + (int)$row->used_in_list_out_count;

            if(!$canEditItem && !$mstOverwriteViewACL){
                continue; // do not display when not editable
            }
            if(trim($row->name) === ''){
                $row->name = $row->server_host . ' ['.strtoupper($row->server_protocol).']';
            }
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td><?php echo ($i+1); ?></td>
                <td><?php echo $checked; ?></td>
                <td><?php echo JHtml::_('jgrid.published', $row->published, $i); ?></td>
                <td>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'COM_MAILSTER_EDIT_SERVER_SETTINGS' );?>: <?php echo $row->name; ?>">
                            <?php if($canEditItem):?><a href="<?php echo $link; ?>"><?php endif; ?><?php echo $row->name; ?><?php if($canEditItem):?></a><?php endif; ?>
						</span>
                </td>
                <td><?php echo $row->used_in_list_count; ?></td>
                <td class="small"><?php
                    switch($row->server_type){
                        case MstConsts::SERVER_TYPE_MAIL_INBOX:
                            echo JText::_('COM_MAILSTER_SERVER_TYPE_MAIL_INBOX');
                            break;
                        case MstConsts::SERVER_TYPE_SMTP:
                            echo JText::_('COM_MAILSTER_SERVER_TYPE_SMTP');
                            break;
                        default:
                            echo JText::_('COM_MAILSTER_UNKNOWN_SERVER_TYPE');
                    }
                    ?></td>
                <td align="center" class="center"><?php echo $row->id; ?></td>
            </tr>
            <?php
            $k = 1 - $k;
        } ?>

        </tbody>
        <tfoot>
        <tr>
            <td colspan="13">&nbsp;</td>
        </tr>
        </tfoot>
    </table>

    <input type="hidden" name="boxchecked" value="0" />
    <input type="hidden" name="option" value="com_mailster" />
    <input type="hidden" name="view" value="servers" />
    <input type="hidden" name="controller" value="servers" />
    <input type="hidden" name="task" value="" />
</form>
