<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');

	/**
	 * HTML View class for the Servers View
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterViewServers extends MailsterView
	{
		function display($tpl = null)
		{	
			global $mstOverwriteViewACL;
			$user = JFactory::getUser();
			
			JToolBarHelper::title( JText::_( 'COM_MAILSTER_SERVERS' ), 'servers-mailster' );
			if($this->canDo->get('core.edit') || $mstOverwriteViewACL){
                JToolBarHelper::custom( 'addInbox', 'newInboxServer-mailster.png', 'newInboxServer-mailster.png', JText::_( 'COM_MAILSTER_NEW_IMAP_POP3_SERVER' ), false, false );
                JToolBarHelper::custom( 'addSmtp', 'newSmtpServer-mailster.png', 'newSmtpServer-mailster.png', JText::_( 'COM_MAILSTER_NEW_SMTP_SERVER' ), false, false );
                JToolBarHelper::publish();
                JToolBarHelper::unpublish();
			}

            if ($this->canDo->get('core.delete')|| $mstOverwriteViewACL){
                JToolBarHelper::deleteList();
            }

			$mstUtils = MstFactory::getUtils();
			$mstUtils->addSubmenu('servers');
			
			$model = $this->getModel();			
			$rows = $model->getData();

			$this->assignRef('rows', $rows);
			$this->assignRef('user', $user);
	 
			parent::display($tpl);
		}

	}
?>