<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport( 'joomla.application.component.view');

	class MailsterViewSync extends MailsterView
	{
		function display($tpl = null)
		{	
			if(!$this->canDo->get('core.admin')){
			//	return MstFactory::getAuthorization()->noPermissionForAction('sync->display (core.admin)');
			}
			$lang = &JFactory::getLanguage();
			$lang->load('plg_system_mailstercb', JPATH_ADMINISTRATOR); // we need the language info of the plugin
			$user = JFactory::getUser();
			$document = JFactory::getDocument();
			$db = JFactory::getDBO();
			$cbUtils = MstFactory::getCBUtils();
			$plgUtils = MstFactory::getPluginUtils();
			$cbPluginParams = $plgUtils->getCBPluginParameter();
			$groupModel = MstFactory::getModel('group');
			$groupsModel = MstFactory::getModel('groups');
						
			$titleTxt = JText::_( 'COM_MAILSTER_SETUP_SYNCHRONIZATION' );
			
			JToolBarHelper::title($titleTxt , 'sync-mailster' );
			$mstUtils = MstFactory::getUtils();
			$mstUtils->addSubmenu('sync');	

			$cb_status_sync_status_field = $cbPluginParams->def('cb_status_sync_status_field', 'block');
			$cb_user_group_field = $cbPluginParams->def('cb_user_group_field', 0);
			$cb_status_sync_active = $cbPluginParams->def('cb_status_sync_active', 0);
			$cb_user_group_sync_active = $cbPluginParams->def('cb_user_group_sync_active', 0);
			
			
			
			$allLinkedUserGroups = array();
			$allLinkedUserGroupIds = $cbUtils->getLinkedUserGroupIds($cb_user_group_field);
			for($i=0;$i<count($allLinkedUserGroupIds);$i++){
				$groupModel->setId($allLinkedUserGroupIds[$i]);
				$allLinkedUserGroups[] = $groupModel->getData();
			}
			
			$notLinkedUserGroups = $groupsModel->getGroupsExpectProvidedGroupIds($allLinkedUserGroupIds);
			$notLinkedUserProfileFieldValues = $cbUtils->getNotLinkedUserGroupNames($cb_user_group_field);
			
			$cbFieldOpts = $cbUtils->getCBFieldsSuitableForCBUserGroupSync();
			
			$plgUtils = MstFactory::getPluginUtils();
			$cbBridgePlugin = $plgUtils->getPlugin('mailstercb', 'system');
            $cbBridgePluginId = empty($cbBridgePlugin) ? 0 : $cbBridgePlugin->extension_id;
            $pluginBaseLink = 'index.php?option=com_plugins&task=plugin.edit&extension_id=';
			$cbBridgePluginLink = $pluginBaseLink . $cbBridgePluginId;
			
			$lists = array();
			$lists['cb_user_group_field'] = JHTML::_('select.genericlist',
														$cbFieldOpts, 'cb_user_group_field',
														'class="inputbox" title="" size="1" style="width:200px;" disabled="disabled"', 
														'value', 'cb_user_group_field', $cb_user_group_field);

			$cbStatusSyncFields = array (
					JHTML::_('select.option', 'approved', JText::_( 'PLG_MAILSTER_STATE_CHANGES_TO_APPROVED' )),
					JHTML::_('select.option', 'confirmed', JText::_( 'PLG_MAILSTER_STATE_CHANGES_TO_CONFIRMED' )),
					JHTML::_('select.option', 'block', JText::_( 'PLG_MAILSTER_STATE_CHANGES_TO_BLOCKED' ))
			);
			$lists['cb_status_sync_status_field'] = JHTML::_('select.genericlist',
									  $cbStatusSyncFields, 'cb_status_sync_status_field',
									   'class="inputbox hTip" title="'.JText::_( 'PLG_MAILSTER_CB_USER_STATE' ).'" size="1" style="width:200px;" disabled="disabled"',
									   'value', 'text', $cb_status_sync_status_field);
			
			$this->assignRef('lists', $lists);
			$this->assignRef('cb_user_group_field', $cb_user_group_field);
			$this->assignRef('cb_status_sync_active', $cb_status_sync_active);
			$this->assignRef('cb_user_group_sync_active', $cb_user_group_sync_active);
			$this->assignRef('allLinkedUserGroups', $allLinkedUserGroups);
			$this->assignRef('notLinkedUserGroups', $notLinkedUserGroups);
			$this->assignRef('notLinkedUserProfileFieldValues', $notLinkedUserProfileFieldValues);
			$this->assignRef('cbBridgePluginLink', $cbBridgePluginLink);
			
			parent::display($tpl);
		}
	}
?>
