<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster Profile Plugin
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */
	
	defined('_JEXEC') or die('Restricted access');
	
	jimport('joomla.event.plugin');
		
	if(!defined('DS')){
		define('DS',DIRECTORY_SEPARATOR); // For Joomla 3.0+
	}
	
	include_once(JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_mailster'.DS.'mailster'.DS.'includes.php');
		
	class plgSystemMailsterprofile extends JPlugin {
		var $plgCanRun;
		
		protected function initMstProfilePlugin(){
            if(!class_exists('MstFactory', false)){
                include_once(JPATH_SITE  . DS . 'administrator' . DS . 'components' . DS . 'com_mailster' . DS . 'mailster' . DS . 'includes.php');
            }
			if(!class_exists('MstFactory', false)){
				$this->plgCanRun = false;
				return;
			}else{
				$this->plgCanRun = true;
			}
		}
		
		function onAfterInitialise(){
			$this->initMstProfilePlugin();
			if(!$this->plgCanRun){
				return false; // Do not proceed further
			}
			
			$lang = JFactory::getLanguage();
			$lang->load('com_mailster',JPATH_ADMINISTRATOR);
			
			$log = MstFactory::getLogger();			
			$u = JURI::getInstance(); // try to get params from URL
			$option = trim(strtolower($u->getVar('option')));
				
			if(strlen($option  < 1)){ // for SEF...
				$option = trim(strtolower(JRequest::getString('option')));
			}
			
			if( ($option === 'com_users') || ($option === 'com_user') ){
                $task = trim(strtolower(JRequest::getString('task')));
                $view = trim(strtolower(JRequest::getString('view')));
				$log->debug('Mailster Profile option: '.$option.', task: '.$task.', view: '.$view);
                if(class_exists('MstRequest') && method_exists('MstRequest', 'stripPasswordInfo')){
                    $log->debug('Mailster Profile POST: '.print_r(MstRequest::stripPasswordInfo($_POST), true));
                }
				$app = JFactory::getApplication();	
				$appName = trim(strtolower($app->getName()));
				$log->debug('Mailster Profile task: '.$task);
				if(($task === 'save') || ($task === 'apply') || ($task === 'user.save') || ($task === 'user.apply')){
					if($appName === 'administrator'){
						$userId = $this->getSingleBackendUserId();
                        if($userId){
                            $log->warning('Mailster Profile onBackendContactSaveDetected user ID '.$userId);
						    $this->onBackendContactSaveDetected($userId);
                        }else{
                            if(class_exists('MstRequest') && method_exists('MstRequest', 'stripPasswordInfo')){
                                $log->warning('Mailster Profile failed to find user ID in POST: '.print_r(MstRequest::stripPasswordInfo($_POST), true));
                            }else{
                                $log->warning('Mailster Profile failed to find user ID');
                            }

                        }
					}
					if($appName === 'site'){
						$user = JFactory::getUser();
						if (!$user->guest) {
							$userId = $user->id;
							$this->onFrontendContactSaveDetected($userId);
						}
					}
				}
				
				if(($task === 'remove') || ($task === 'users.delete')){
					if($appName === 'administrator'){
						$log->debug('In backend: user delete detected');
						$userIdsToDelete = $this->getMultipleBackendUserIds();
						$subscrUtils = MstFactory::getSubscribeUtils();
    					$mailingListUtils = MstFactory::getMailingListUtils();
    					$mLists = $mailingListUtils->getAllMailingLists();
    					foreach($userIdsToDelete AS $userId){
							foreach($mLists AS $mList){ // Unsubscribe Joomla user from all mailing lists
								$log->debug('Unsubscribe user '.$userId.' from list: '.$mList->id);
								$subscrUtils->unsubscribeUserId($userId, 1, $mList->id);
							}
						}
					}
					
				}
				
				if(($task === 'register_save') || ($task === 'registration.register')){
					if($appName === 'site'){
                        $log->debug('Registration action on frontend, task: '.$task);
						$plgPost = JRequest::getVar('plugins', array(), 'post', 'array');
						if(array_key_exists('mailsterk2mst_k2_subsr2mlist_user', $plgPost)){
							$subscr2mList = $plgPost['mailsterk2mst_k2_subsr2mlist_user'];
							$log->debug('Mailster Profile subscribe value: '.$subscr2mList);
							if($subscr2mList === '1'){
								$profilePost = JRequest::getVar('jform', array(), 'post', 'array');
								$log->debug('Mailster Profile: can subscribe to mailing list');
                                if(class_exists('MstRequest') && method_exists('MstRequest', 'stripPasswordInfo')){
                                    $log->debug(print_r(MstRequest::stripPasswordInfo($_POST), true));
                                }
								$mstPlgUtils = MstFactory::getPluginUtils();
								$mstK2PlgParams = $mstPlgUtils->getK2PluginParameter();
								$listId = $mstK2PlgParams->def( 'mst_k2_list_choice', '0' );
								$log->debug('Mailster Profile: list choice is '.$listId);
								if($listId > 0){
									$subscrUtils = MstFactory::getSubscribeUtils();
									$name = $profilePost['name'];
									$email = $profilePost['email1'];
									$success = $subscrUtils->subscribeUser($name, $email, $listId);
									$log->debug('Mailster Profile: subscribe '.$name.' ('.$email.') to list ID '.$listId.' '.($success?'successful':'failed'));
								}
							}
						}
					}
				}
			}
			
			if( $option === 'com_admin' ){
				$task = trim(strtolower(JRequest::getString('task')));
				if(($task === 'profile.save') || ($task === 'profile.apply')){
					$app =& JFactory::getApplication();	
					$appName = trim(strtolower($app->getName()));
					if($appName === 'administrator'){
						$userId = $this->getSingleBackendUserId();
						$this->onBackendContactSaveDetected($userId);
					}
				}
				
			}
		}
		
		function onAfterDispatch() {
			$this->initMstProfilePlugin();
			if(!$this->plgCanRun){
				return false; // Do not proceed further
			}
			
			$app = JFactory::getApplication();			
			if(trim(strtolower($app->getName())) === 'administrator') {
				$u = JURI::getInstance(); // try to get params from URL
				$option = trim(strtolower($u->getVar('option')));
				$view  	= trim(strtolower($u->getVar('view')));
					
				if(strlen($option  < 1)){ // for SEF...
					$option = trim(strtolower(JRequest::getString('option')));
				}
				if(strlen($view  < 1)){ // for SEF...
					$view = trim(strtolower(JRequest::getString('view')));
				}
				if($option === 'com_users'){
					if($view === 'user'){
						$this->extendUserProfile();
					}
				}	
				if($option === 'com_admin'){
					if($view === 'profile'){
						$user = &JFactory::getUser();
						$this->extendUserProfile($user->id);
					}
				}
			}
		}
		
		function onAfterRoute(){
			$this->initMstProfilePlugin();
			if(!$this->plgCanRun){
				return false; // Do not proceed further
			}
		}
	
		function onFrontendContactSaveDetected($userId){
			$mstRecipients = MstFactory::getRecipients();
			$mstRecipients->updateRecipientInLists($userId, 1);	// update cache states (to correct name/email)
		}
		
		function onBackendContactSaveDetected($userId){
            $log = MstFactory::getLogger();
            $mstRecipients = MstFactory::getRecipients();
			$subscribeUtils = MstFactory::getSubscribeUtils();
    		$mailingListUtils = MstFactory::getMailingListUtils();
            $jUserUtils = MstFactory::getJUserUtils();
    		$mLists = $mailingListUtils->getAllMailingLists();

            $userGroupMap = $jUserUtils->getUsersGroupsMap($userId);
            $jinput = JFactory::getApplication()->input;
            $jform  = $jinput->post->get('jform', array(), 'array');
            if($jform && is_array($jform) && array_key_exists('groups', $jform)){
                $updatedUserGroups = $jform['groups']; // get user groups from request that were selected (= the user will be assigned to now)
                $log->debug('onBackendContactSaveDetected user ID '.$userId.' has now the following groups: '.print_r($updatedUserGroups, true));
                if(count($userGroupMap) != count($updatedUserGroups)){
                    // quick check, if number of assigned groups differs then we have to sync here anyway
                    $log->debug('onBackendContactSaveDetected groups count now different (before: '.count($userGroupMap).', now: '.count($updatedUserGroups).')');
                    $mstRecipients->recipientsUpdatedInAllListsWithJoomlaGroups();
                }else{
                    // total number even, but there still can be differences, so let us go through them all
                    foreach($userGroupMap AS $userGroupMapItem){
                        if(!in_array($userGroupMapItem->group_id, $updatedUserGroups)){
                            // there is a difference, we have to sync
                            $log->debug('onBackendContactSaveDetected groups different, did not find previous group ID '.$userGroupMapItem->group_id.' in new selected groups');
                            $mstRecipients->recipientsUpdatedInAllListsWithJoomlaGroups();
                            break; // we do not have to search further as all were updated anyhow
                        }
                    }
                }
            }

			$mstRecipients->updateRecipientInLists($userId, 1);	// update cache states (to correct name/email)
    		for($i=0;$i<count($mLists);$i++){
    			$list = &$mLists[$i];
    			$subscribed = JRequest::getInt('list_'.$list->id, 2);
    			if($subscribed > 0){
                    if($subscribed == 1){
    				    $subscribeUtils->subscribeUserId($userId, 1, $list->id);
                    }
    			}else{
    				$subscribeUtils->unsubscribeUserId($userId, 1, $list->id, true);
    			}
    		}
		}
	
		function onBackendProfileSaveDetected($userId){	
			$mstRecipients = MstFactory::getRecipients();
			$mstRecipients->updateRecipientInLists($userId, 1);	// update cache states (to correct name/email)
		}
		
		function getSingleBackendUserId(){
			$userId = JRequest::getVar( 'cid', array(0), '', 'array' );
			$userId = $userId[0];
			if(!$userId || $userId <= 0){				
				$userId = JRequest::getInt('id',0);
			}
			return $userId;
		}
		
		function getMultipleBackendUserIds(){
			return JRequest::getVar( 'cid', array(0), '', 'array' );
		}
		
		function extendUserProfile($userId=null){
			$log = MstFactory::getLogger();
			$srchPattern = '';
			if(is_null($userId)){
				$userId = $this->getSingleBackendUserId();
			}
			
			$doc = JFactory::getDocument();
			$buffer = $doc->getBuffer('component');
			
			$srchPattern = '<div class="col width-55">';
			$srchPatternEnd = '</div>';
			
			$pos = strpos($buffer, $srchPattern);
			$pos2 = strpos($buffer, $srchPatternEnd, $pos);
			$part1 = substr($buffer, 0, $pos2);
			$part2 = substr($buffer, $pos2);
			
			if(version_compare(JVERSION,'3.0','ge')) { // Joomla 3.0+
				$srchPattern = '<div id="groups" class="tab-pane">';
				$srchPatternEnd = '</div>';
			
				$pos = strpos($buffer, $srchPattern);
				$firstTextPart = substr($buffer, 0, $pos);				
				$pos2 = strrpos($firstTextPart, $srchPatternEnd);
				$part1 = substr($buffer, 0, $pos2);
				$part2 = substr($buffer, $pos2);
			}
			
								
    		$html = '<fieldset class="adminform">
						<legend>Mailster</legend>
						<div>';
            $html .= '<div class="control-group"><div class="control-label"><strong>'.JText::_( 'COM_MAILSTER_MAILING_LIST_RECIPIENT' ).'</strong></div></div>';
    		$mailingListUtils = MstFactory::getMailingListUtils();
    		$mLists = $mailingListUtils->getAllMailingLists();
    		
    		JLoader::import('joomla.application.component.model'); 
    		JLoader::import( 'user', JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_mailster' . DS . 'models' );
			$userModel = MstFactory::getModel('user');
    		$memberInfo = $userModel->getMemberInfo($userId, 1); // get subscribe infos for Joomla user
    		$log->debug('mailsterprofile plugin, member info for user ID '.$userId.': '.print_r($memberInfo, true));

            $print2ndOverview = false;
    		for($i=0;$i<count($mLists);$i++){
    			$list = $mLists[$i];
    			$subscribed1 = '';
                $subscribed2 = false;
                $disabled = '';
    			$unsubscribed = 'selected="selected"';
                $isSubscribed = $this->isSubscribed($memberInfo, $list->id);
                $directSubscribed = $this->isSubscribed($memberInfo, $list->id, true);

    			if($directSubscribed){
    				$subscribed1 = $unsubscribed;
                    $subscribed2 = false;
    				$unsubscribed = '';
    			}elseif($isSubscribed && !$directSubscribed){
                    $subscribed2 = $unsubscribed;
                    $subscribed1 = '';
                    $unsubscribed = '';
                    $disabled = 'disabled="disabled"';
                    $print2ndOverview = true;
                }

    			$html .= '<div class="control-group"><div class="control-label">'.$list->name.'</div>';
                $html .= '				<div class="controls"><select class="inputbox" id="paramsadmin_list'.$list->id.'" name="list_'.$list->id.'" '.$disabled.' >';
                $html .= '					<option '.$unsubscribed.' value="0">'.JText::_( 'COM_MAILSTER_NOT_SUBSCRIBED' ).'</option>';
                $html .= '					<option  '.$subscribed1.' value="1">'.JText::_( 'COM_MAILSTER_SUBSCRIBED' ).'</option>';
                $html .= $subscribed2 ? '<option  '.$subscribed2.' value="2">'.JText::_( 'COM_MAILSTER_SUBSCRIBED' ).' ('.JText::_( 'COM_MAILSTER_MAILING_LISTS_VIA_GROUPS' ).')</option>' : '';
                $html .= '				</select>';
                $html .= '		</div>';
                $html .= '</div>';
            }

            if($print2ndOverview){
                $html .= '<div class="control-group"><div class="control-label"><strong>'.JText::_( 'COM_MAILSTER_MAILING_LISTS_VIA_GROUPS' ).'</strong></div></div>';
                for($i=0;$i<count($mLists);$i++){
                    $list = $mLists[$i];
                    $isSubscribed = $this->isSubscribed($memberInfo, $list->id);
                    $directSubscribed = $this->isSubscribed($memberInfo, $list->id, true);
                    if($isSubscribed && !$directSubscribed){
                        $html .= ' <div class="control-group"><div class="control-label">'.$list->name.'</div>';
                        $html .= '  <div class="controls">'.JText::_( 'COM_MAILSTER_SUBSCRIBED' ).'</div></div>';
                    }
                }
            }
            $html .= '</div></fieldset>';


    		$buffer = $part1 . $html . $part2;
			$doc->setBuffer($buffer, 'component');			
		}
		
		function isSubscribed($memberInfo, $listId, $directRecipientOnlyCheck=false){
			$lists = &$memberInfo['lists'];
			for($i=0;$i<count($lists);$i++){
				if($lists[$i]->id == $listId){
					return true;
				}				
			}
            if(!$directRecipientOnlyCheck){
                $listGroups = &$memberInfo['listGroups'];
                for($i=0;$i<count($listGroups);$i++){
                    if($listGroups[$i]->id == $listId){
                        return true;
                    }
                }
            }
			return false;
		}
		
	}
?>