<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster Subscriber
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

	
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR); // For Joomla 3.0+
}

include_once(JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_mailster'.DS.'mailster'.DS.'includes.php');


class plgContentMailstersubscriber extends JPlugin {
	var $plgCanRun;	

	protected function initMstSubscriberPlugin(){
		if(!class_exists('MstFactory', false)){
			$this->plgCanRun = false;
			return;
		}else{
			$this->plgCanRun = true;
		}
	}

	// Joomla 1.6+ event
	public function onContentPrepare($context, &$row, &$params, $page = 0){	
		$this->contentPluginAction($row, $params, $page);
		return true;
	}
	
	function contentPluginAction(&$row, &$params, $page=0) {
		$this->initMstSubscriberPlugin();
		if(!$this->plgCanRun){
			return false; // Do not proceed further
		}
		
		$log = MstFactory::getLogger();
		$subscrPlugin = MstFactory::getSubscriberPlugin();
		
		// $row in Joomla! 1.6/1.7 may be a string, not an article object! - thanks Nicholas :-)
		if (is_object($row)) {
			$text = &$row->text;
		}else {
			$text = &$row;
		}
		
		$subscriberTmplFound = true;
		$unsubscriberTmplFound = true;
		$foundCounter = 0;
		
		while(($subscriberTmplFound || $unsubscriberTmplFound) && $foundCounter < 300 ){
			$strPos = JString::strpos($text, MstConsts::SUBSCR_SUBSCRIBER_TMPL);
			if ($strPos === false) {
				$subscriberTmplFound = false;
				$strPos = JString::strpos($text, MstConsts::SUBSCR_UNSUBSCRIBER_TMPL);
				if ($strPos === false) {
					$unsubscriberTmplFound = false;
				}else{
					$foundCounter++;
					$unsubscriberTmplFound = true;
					$strPos = $strPos + strlen(MstConsts::SUBSCR_UNSUBSCRIBER_TMPL);
				}
			}else{
				$foundCounter++;
				$subscriberTmplFound = true;
				$strPos = $strPos + strlen(MstConsts::SUBSCR_SUBSCRIBER_TMPL);
			}
			
			if($subscriberTmplFound == true){
				$log->debug('Subscriber Plugin - found Subscriber, Cr: '.$foundCounter);
				$text = $subscrPlugin->processSubscriber($text, $strPos, $foundCounter);
			}
			if($unsubscriberTmplFound == true){
				$log->debug('Subscriber Plugin - found Unsubscriber, Cr: '.$foundCounter);
				$text = $subscrPlugin->processUnsubscriber($text, $strPos, $foundCounter);
			}
		}
		
		// Find and change (undocumented) tutorial tags - those are not replaced with forms
		$subscriberTmplNotConvFound = true;
		$unsubscriberTmplNotConvFound = true;
		$foundCounter = 0;
		while($subscriberTmplNotConvFound || $unsubscriberTmplNotConvFound && $foundCounter < 300){
			$strPos = JString::strpos($text, MstConsts::SUBSCR_SUBSCRIBER_TMPL_DO_NOT_CONVERT);
			if ($strPos === false) {
				$subscriberTmplNotConvFound = false;
				$strPos = JString::strpos($text, MstConsts::SUBSCR_UNSUBSCRIBER_TMPL_DO_NOT_CONVERT);
				if ($strPos === false) {
					$unsubscriberTmplNotConvFound = false;
				}else{
					$foundCounter++;
					$unsubscriberTmplNotConvFound = true;
					$strPos = $strPos + strlen(MstConsts::SUBSCR_UNSUBSCRIBER_TMPL_DO_NOT_CONVERT);
				}
			}else{
				$foundCounter++;
				$subscriberTmplNotConvFound = true;
				$strPos = $strPos + strlen(MstConsts::SUBSCR_SUBSCRIBER_TMPL_DO_NOT_CONVERT);
			}
			
			if($subscriberTmplNotConvFound == true){
				$text = JString::str_ireplace(MstConsts::SUBSCR_SUBSCRIBER_TMPL_DO_NOT_CONVERT, MstConsts::SUBSCR_SUBSCRIBER_TMPL, $text);
			}
			if($unsubscriberTmplNotConvFound == true){
				$text = JString::str_ireplace(MstConsts::SUBSCR_UNSUBSCRIBER_TMPL_DO_NOT_CONVERT, MstConsts::SUBSCR_UNSUBSCRIBER_TMPL, $text);
			}
		}
		
		// $row in Joomla! 1.6/1.7 may be a string, not an article object! - thanks Nicholas :-)
		if (is_object($row)) {
			$row->text = $text;
		}else{
			$row = $text;
		}
		
		return $text;
	}
	
}
