<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport('joomla.application.component.controller');

	/**
	 * Mailster Component Mails Controller
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class MailsterControllerMails extends MailsterController
	{
		function __construct(){
			parent::__construct();			
		}
				
		function mail(){
			$authorization = MstFactory::getAuthorization();
			if( !$authorization->frontendMenuViewAccessOK() ){ return false; }
			$model = $this->getModel( 'mail' );
			$mailsModel = $this->getModel( 'mails' ); 
			$view  = $this->getView( 'mail', 'html'  );
			$view->setModel( $model, true );  // default model
			$view->setModel( $mailsModel, true );
			$view->display();	
		}	

		function view(){
			$authorization = MstFactory::getAuthorization();
			if( !$authorization->frontendMenuViewAccessOK() ){ return false; }
			$model = $this->getModel( 'mails' ); // get back-end model
			$view  = $this->getView( 'mails', 'html'  );
			$view->setModel( $model, true );  // default model
			$view->display();		
		}
		
		function dwlattach()
		{
			$attachUtils = MstFactory::getAttachmentsUtils();
			$attachId = JRequest::getInt('attachId', 0);
			
			$attach = $attachUtils->getAttachment($attachId);
			
			$filePath = $attach->filepath;
			$fileName = $attach->filename;
			
			$filePath = JPATH_ROOT.DS.$filePath.DS.$fileName;
			
            header('Content-Description: File Transfer');
            header('Content-Type: application/octet-stream');
            header('Content-Disposition: attachment; filename="'.rawurldecode($fileName) . '"');
            header('Content-Transfer-Encoding: binary');
            header('Expires: 0');
            header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
            header('Pragma: public');
            header('Content-Length: ' . filesize($filePath));
            ob_clean();
            flush();
            readfile($filePath);
            exit; 
		}
		
		
	}
?>
