<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */
	
	defined( '_JEXEC' ) or die( 'Restricted access' );	
	$mstImgPath = 'components/com_mailster/assets/images/';	
	$page_sfx = $this->pageclass_sfx;
?>
<script language="javascript" type="text/javascript">
</script>
<div class="componentheading<?php echo $page_sfx; ?>"><h2><?php echo $this->title; ?></h2></div>
<?php 
	if(!$this->user->id){
		return;
	}
?>
<form name="adminForm" method="post" action="<?php echo $this->currurl; ?>">
	<div class="mailster_profile contentpane<?php echo $page_sfx; ?>">		
		<div class="mailster_profile_container<?php echo $page_sfx; ?>">
			<table class="mailster_profile_lists_table<?php echo $page_sfx; ?> mailster_std_table">
				<thead>
					<tr>
						<th class="mailster_profile_lists_header_name<?php echo $page_sfx; ?> mailster_profile_lists_header<?php echo $page_sfx; ?>"><?php echo JText::_( 'COM_MAILSTER_MAILING_LIST'); ?></th>
						<th class="mailster_profile_lists_header_status<?php echo $page_sfx; ?> mailster_profile_lists_header<?php echo $page_sfx; ?>"><?php echo JText::_( 'COM_MAILSTER_STATUS'); ?></th>
						<?php												
						if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DIGEST)){
						?><th class="mailster_profile_lists_header_digest<?php echo $page_sfx; ?> mailster_profile_lists_header<?php echo $page_sfx; ?>">&nbsp;</th><?php } ?>
						<th class="mailster_profile_lists_header_action<?php echo $page_sfx; ?> mailster_profile_lists_header<?php echo $page_sfx; ?>"><?php echo JText::_( 'COM_MAILSTER_ACTION'); ?></th>
					</tr>
				</thead>
				<tbody>
					<?php
					for($i=0;$i<count($this->lists);$i++){ 
						$list = &$this->lists[$i];
						$backlink = base64_encode($this->currurl);
						//$attachImg = '<img src="' . $mstImgPath . '16-attachment.png" width="16px" height="16px" title="' . JText::_( 'COM_MAILSTER_HAS_ATTACHMENTS' ) .'" />';
					?>
					<tr>
						<td class="mailster_profile_lists_name<?php echo $page_sfx; ?>"><?php echo $list->name; ?></td>
						<td class="mailster_profile_lists_status<?php echo $page_sfx; ?>"><span class="mailster_profile_status_text_<?php echo $list->isSubscribed ? 'subscribed':'unsubscribed'; ?>"><?php echo $list->isSubscribed ? JText::_( 'COM_MAILSTER_SUBSCRIBED') : JText::_( 'COM_MAILSTER_NOT_SUBSCRIBED');?></span></td>
						<?php 
												
						if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DIGEST)){
						?><td class="mailster_profile_lists_digest<?php echo $page_sfx; ?>"><?php 
							if($list->isSubscribed && $list->allow_digests){
								$digestLink = JRoute::_( 'index.php?view=profile&task=digest&digestID='. ($list->digest ? $list->digest->id : '0').'&listID='. $list->id.'&bl='.$backlink );
								?><a href="<?php echo $digestLink; ?>" title="<?php echo JText::_('COM_MAILSTER_EDIT_DIGEST'); ?>"><?php echo $list->digest ? $list->digest->digestFreqStr : JText::_('COM_MAILSTER_DIGEST_NO_DIGEST'); ?></a><?php							
							}
							?></td><?php 
						}
						?>
						<td class="mailster_profile_lists_action<?php echo $page_sfx; ?>"><?php 
						$actionPossible = false;
						$actionTitle = '';
						$actionLink = '';
						if($list->isSubscribed){
							$actionTitle = JText::_( 'COM_MAILSTER_UNSUBSCRIBE');
							$actionLink = JRoute::_( 'index.php?view=profile&task=unsubscribe&listID='. $list->id.'&bl='.$backlink );
							if($list->allow_unsubscribe){
								$actionPossible = true;
							}
						}else{
							$actionTitle = JText::_( 'COM_MAILSTER_SUBSCRIBE');
							$actionLink = JRoute::_( 'index.php?view=profile&task=subscribe&listID='. $list->id.'&bl='.$backlink );
							if($list->allow_subscribe){
								$actionPossible = true;
							}
						}
						if($actionPossible):
							?><a href="<?php echo $actionLink; ?>"><?php echo $actionTitle; ?></a>
						<?php endif;?></td>
					</tr>
					<?php
					} 
					?>
				</tbody>
			</table>
		</div>
	</div>
</form>	